MPlayer(1)

NOME
mplayer - Visualizzatore di film per Linux
mencoder - Codificatore di film per Linux

SOMMARIO
mplayer [opzioni] [ file | URL | playlist | - ]
mplayer
[opzioni globali] file1 [opzioni specifiche] [file2] [opzioni specifiche]
mplayer
[opzioni globali] {gruppo di file ed opzioni} [opzioni specifiche del gruppo]
mplayer
[mms[t]|http|http_proxy|rt[s]p|ftp]:// [utente:password@]URL[:porta] [opzioni]
mplayer
dvd://titolo [opzioni]
mplayer
vcd://traccia[/device] [opzioni]
mplayer
tv://[canale] [opzioni]
mplayer
mf://mascherafile [opzioni]
mplayer
[cdda|cddb]://traccia[:velocita'][/device] [opzioni]
mplayer
cue://file[:traccia] [opzioni]
mplayer
sdp://file [opzioni]
mplayer
mpst://host[:porta]/URL [opzioni]
mplayer
dvb://canale [opzioni]
mencoder [opzioni] [ file | URL | - ] [-o file]
gmplayer [opzioni] [-skin skin]

DESCRIZIONE
mplayer e' un visualizzatore di film per LINUX (gira su molti altri Unix e su CPU non-x86, controlla la documentazione). Visualizza la maggior parte dei file del tipo MPEG/VOB, AVI, ASF/WMA/WMV, RM, QT/MOV/MP4, OGG/OGM, VIVO, FLI, NuppelVideo, yuv4mpeg, FILM e RoQ, supportato da molti codec nativi, altri provenienti da XAnim oppure attraverso codec presenti nelle DLL di Win32. Puoi guardare VideoCD, SVCD, DVD, 3ivx, DivX 3/4/5 ed addirittura film in formato WMV (senza usare la libreria avifile).

Un altra grande caratteristica di MPlayer e' l' ampia gamma di dispositivi di uscita gestiti. Funziona con X11, XV, DGA, OpenGL, SVGAlib, fbdev, AAlib, libcaca, DirectFB, Quartz, ma puoi anche usare GGI, SDL (e tutti i loro driver), VESA (su ogni scheda compatibile VESA, anche senza X11), qualche driver a basso livello specifico per alcune schede video (per Matrox, 3Dfx e ATI) e qualche scheda di decodifica MPEG hardware come la Siemens DVB, DXR2 e DXR3/Hollywood+. La maggior parte supporta la riscalatura via software od hardware cosi' puoi gustarti i filmati a schermo intero.

MPlayer ha un display su schermo (On Screen Display, OSD) per fornire informazioni sullo stato, grandi e bei sottotitoli sfumati con antialias ed un riscontro visuale dei comandi da tastiera. Sono supportati font europei/ISO 8859-1,2 (Ungherese, Inglese, Ceco, etc), Cirillici e Coreani insieme a 11 formati di sottotitoli (MicroDVD, SubRip, SubViewer, Sami, VPlayer, RT, SSA, AQTitle, JACOsub, PJS ad il nostro: MPsub) oltre ai sottotitoli dei DVD (flussi SPU, VobSub e Closed Captions).

mencoder (MPlayer's Movie Encoder, Codificatore di film di MPlayer) e' un semplice codificatore di film, progettato per codificare tutti i filmati visualizzabili da MPlayer (vedi sopra) in altri formati sempre visualizzabili da MPlayer (vedi sotto). Codifica il video in formato DivX4, XviD, uno qualsiasi dei codec di libavcodec e l' audio in PCM/MP3/VBRMP3 in 1, 2 o 3 passi. Inoltre ha la capacita' di copiare direttamente i flussi (stream), un potente sistema di plugin (riduci, espandi, ribalta, post elaborazione, ruota, riscala, aggiunta rumore, conversioni rgb/yuv) ed oltre.

gmplayer e' MPlayer con una interfaccia utente grafica. Ha le stesse opzioni di MPlayer.

Controlla anche la documentazione in formato HTML!

Nota alla traduzione italiana: nella traduzione alcune parole sono rimaste in inglese (driver in testa) perche' ritengo che renda il tutto piu' chiaro. Alcune parole sono state invece tradotte ma potreste non riconoscerle (ad esempio sharpness) percio' a volte, soprattutto per quello che riguarda opzioni avanzate di codifica oppure opzioni di debug, potrebbero essere piu' comprensibili le pagine di manuale in inglese ;-).

COMANDI DA TASTIERA
MPlayer ha un interfaccia di controllo completamente configurabile, guidata da comandi, che ti permette di controllarlo usando la tastiera, il mouse, un joystick oppure un controllo remoto (utilizzando lirc).
Il file di configurazione di default e' ~/.mplayer/input.conf ma puo' essere specificato usando l' opzione -input conf.
Questi tasti possono/non possono funzionare, dipendendo dal dispositivo di visualizzazione (driver)

Controlli generali
    ricerca indietro/avanti 10 secondi ricerca indietro/avanti 1 minuto ricerca indietro/avanti 10 minuti indietro/avanti nella playlist vai alla 'entry' successiva/precedente nella playlist va alla successiva/precedente sorgente alternativa (solo playlist asx) pausa film (qualsiasi tasto continua) smette di riprodurre ed esce regola il ritardo audio di +/- 0.1 secondi aumenta/diminuisce il volume aumenta/diminuisce il volume suono muto attiva/disattiva schermo intero attiva/disattiva stay-on-top (rimani in primo piano). Supportato dai driver che usano X11, eccetto SDL, cosi' come da directx e gl2 sotto Windows. diminuisce/aumenta la gamma del panscan cambia lo stato del OSD: nessuno / posizione / posizione + tempo cambia lo stato dell' eliminazione frame: nessuno / salta visualizzazione / salta decodifica (vedi -framedrop e -hardframedrop) cambia la visiblita' dei sottotitoli cambia il linguaggio dei sottotitoli
F   cambia la visualizzazione dei sottotitoli forzati ("forced subtitles") cambia l' allineamento dei sottotitoli: alto/mezzo/basso regola il ritardo dei sottotitoli di +/- 0.1 secondi regola la posizione dei sottotitoli attiva un punto EDL

I seguenti tasti sono validi solo quando si usa un dispositivo di uscita con accelerazione hardware (xv, (x)vidix, (x)mga, etc), oppure il filtro software di equalizzazione (-vf eq oppure -vf eq2).

regola il contrasto regola la luminosita' regola la tonalita' (hue) regola la saturazione

Comandi da tastiera per la GUI
    inizia la riproduzione ferma la riproduzione carica file selezionatore skin cambia playlist.

Controlli di ingresso TV
    seleziona il canale precedente/successivo cambia la norma (PAL/NTSC) cambia la lista dei canali

USO
Ogni opzione 'flag' ha una controparte 'noflag', e.g. l' opposto dell' opzione -fs e' -nofs.

Puoi mettere tutte le opzioni in un file di configurazione che verra' letto ogni volta che MPlayer viene lanciato. Il file di configurazione globale 'mplayer.conf' e' nella tua directory di configurazione (e.g. /etc/mplayer o /usr/local/etc/mplayer), quello specifico dell' utente e' '~/.mplayer/config'. Le opzioni del file utente hanno precedenza sulle opzioni globali e le opzioni della linea di comando hanno precedenza su quello specificato in entrambi i file. La sintassi del file di configurazione e' 'option=<valore>', tutto quello che viene dopo '#' e' considerato un commento. Le opzioni che si attivano senza valori possono essere abilitate regolandole a Anche le sotto opzioni possono essere specificate in questo modo.

ESEMPIO:
# Usa il driver Matrox per default.
vo=xmga
# Mi piace stare a testa in giu' mentre guardo i video.
flip=yes
# Decodifico/Codifica file multipli di tipo png,
# da lanciare con mf://filemask
mf=type=png:fps=25
# Le immagini negative sono forti.
vf=eq2=1.0:-0.8

Puoi anche scrivere configurazioni specifiche per i singoli file. Se desideri avere un file di configurazione per un film che si chiama 'movie.avi', crea un file di nome 'movie.avi.conf' con le opzioni specifiche dentro di esso e salvalo in ~/.mplayer oppure nella stessa directory del file del film.

OPZIONI GENERALI

-codecs-file <nomefile>
    Usa il file specificato al posto del file codecs.conf di sistema o di quello integrato nel programma. Vedi anche -afm, -ac, -vfm e -vc.

-include <configuration file>
    Specifica un file di configurazione da interpretare dopo quelli di default.

-quiet
    Con questa opzione la linea di stato (i.e. A: 0.7 V: 0.6 A-V: 0.068 ...) non viene visualizzata. Particolarmente utile su terminali lenti oppure che non funzionano correttamente e non gestiscono in modo giusto il ritorno carrello (i.e. \r).

-v, -verbose
    Incrementa il livello di verbosita' (piu' -v significano piu' verbosita'). Solo qualche informazione (default) Qualche informazione di base per il debug, intestazione file avi, valori di funzione (init debug) Stampa gli indici dei file avi, i blocchi di ingresso, piu' informazioni di debug (player debug) Stampa tutto quello relativo all' interpretazione dell' ingresso (parser debug)

OPZIONI DI RIPRODUZIONE (SOLO MPLAYER)

-autoq <quality> (da usare con -vf [s]pp)
    Cambia dinamicamente il livello di post elaborazione a seconda del tempo di CPU libero. Il numero che specifichi e' il massimo livello usato. Normalmente puoi usare qualche numero grande. Devi usare l' opzione -vf [s]pp senza parametri per poterlo usare questa opzione.

-autosync <fattore>
    Regola gradualmente la sincronizzazione A/V basandosi sulla misura del ritardo dell' audio. Specificando -autosync 0, il default, la temporizzazione dei frame sara' basata interamente sulla misura del ritardo dell' audio. L' opzione -autosync 1 si comporta nello stesso modo, ma viene cambiato leggermente l' algoritmo di correzione A/V usato. Un filmato con una velocita' (frame rate) irregolare che viene visualizzato in modo corretto con -nosound puo' spesso venir aiutato utilizzando qusto parametro ad un valore maggiore di 1. Maggiore il valore, piu' il comportamento sara' simile all' utilizzo di -nosound. Prova -autosync 30 per minimizzare problemi con driver audio che non implementano una misura perfetta del ritardo audio. Con questo valore, se capita un grande ritardo nella sincronizzazione A/V, in circa 1 o 2 secondi tutto quanto si sistemera'. Questo ritardo nella reazione ad improvvisi scostamenti A/V dovrebbe essere l' unico effetto collaterale nell' abilitare questa opzione, per tutti i driver audio.

-benchmark
    Stampa qualche statistica sull' uso della CPU e sui fotogrammi scartati al termine. Usalo in combinazione con -nosound e -vo null se vuoi testare solo il codec video. br NOTA: Con questa opzione MPlayer ignorera' la durata dei fotogrammi quando si riproduce solo video (puoi pensare a questo come ad fps, frame per second, fotogrammi al secondo, infiniti).

-colorkey <number>
    Cambia colorkey ad una valore RGB di tua scelta. 0x000000 e' nero e 0xffffff e' bianco. Supportato solo dai driver di uscita cvidix, fbdev, svga, vesa, winvidix, xmga, xvidix e xover.

-nocolorkey
    Disabilita il colorkeying. Supportato solo dai driver di uscita cvidix, fbdev, svga, vesa, winvidix, xmga, xvidix e xover.

-edl <nomefile>
    Abilita le azioni della lista di decisione di modifica (edit decision list, EDL) durante la riproduzione. Il video viene saltato e l' audio viene suonato o meno controllato dai valori presenti nel file specificato. Vedi DOCS/HTML/en/edl.html per dettagli su come usare le EDL.

-edlout <nomefile>
    Crea un nuovo file e scrive comandi della lista di decisione di modifica (EDL) in questo file. Durante la riproduzione, quando l' utente preme 'i', un' azione per saltare gli ultimi due secondi di filmato viene scritta nel file. Questo fornisce un punto di partenza dal quale l' utente puo' successivamente ottimizzare i comandi. Vedi DOCS/HTML/en/edl.html per dettagli.

-enqueue (solo GUI)
    Accoda i file specificati sulla linea di comando nella playlist invece di riprodurli immediatamente.

-fixed-vo (CODICE BETA!)
    Forza un sistema video fisso per file multipli (una sola inizializzazione / deinizializzazione per tutti i file). Percio' solo una finestra verra' aperta per tutti i file. Attualmente i seguenti driver funzionano con fixed-vo: gl2, mga, svga, x11, xmga, xv e xvidix.

-framedrop (vedi anche -hardframedrop)
    Elimina la visualizzazione di alcuni fotogrammi per mantenere il sincronismo A/V con sistemi lenti. I filtri video non sono applicati a questi fotogrammi. Nel caso di fotogrammi di tipo B anche la decodifica viene completamente saltata.

-h, -help, --help
    Visualizza un corto elenco delle opzioni.

-hardframedrop
    Eliminazione ancora piu' intensa di fotogrammi (rovina la decodifica). Porta a distorsioni delle immagini!

-identify
    Visualizza i parametri del file in un formato facile da interpretare. Lo script di appoggio TOOLS/midentify toglie il resto delle stampe di MPlayer e (si spera) corregge per la shell (shellescapes) i nomi dei file.

-input <comandi>
    Questa opzione puo' essere usata per configurare certe parti del sistema di ingresso. I percorsi sono relativi a ~/.mplayer/.
    NOTA: L' autorepeat e' attualmente supportato solo dai joysticks. I comandi disponibili sono: Legge un file alternativo input.conf. Se il parametro e' senza percorso viene considerato ~/.mplayer. Ritardo in msec prima di cominciare ad auto ripetere un tasto (0 per disabilitare) Quante pressioni abbiamo per secondo quanto e' attivo l' autorepeat. Stampa tutti i tasti che possono essere collegati. Stampa tutti i comandi che possono essere collegati. Specifica il device del joystick da usare (il default e' /dev/input/js0). Legge i comandi dal file specificato. Normalmente utile con un fifo.
    NOTA: Quando il file specificato e' un fifo MPlayer ne apre entrambi gli estremi cosi' puoi dare molti 'echo "seek 10" > mp_pipe' e la pipe rimarra' valida.

-lircconf <file>
    Specifica un file di configurazione per LIRC (Linux Infrared Remote Control, Controllo Remoto ad Infrarossi per Linux, see http://www.lirc.org) se non ti piace il default ~/.lircrc.

-list-options
    Stampa tutte le opzioni disponibili.

-loop <numero>
    Ripete la riproduzione del film <numero> volte. 0 significa per sempre.

-menu (CODICE BETA)
    Attiva il supporto per il menu su OSD.

-menu-cfg <file> (CODICE BETA)
    Usa un file alternativo per menu.conf.

-menu-root <valore> (CODICE BETA)
    Specifica il menu principale.

-nojoystick
    Disabilita il supporto per il joystick. Per default e' abilitato se compilato nel programma.

-nolirc
    Disabilita il supporto per LIRC.

-nomouseinput
    Disabilita la gestione dell' ingresso della pressione / rilascio dei bottoni del mouse (i menu del contesto di mozplayerxp si basano su questa opzione).

-nortc
    Disabilita l' utilizzo di Linux RTC (real-time clock, orologio in tempo reale - /dev/rtc) per la gestione delle temporizzazioni.

-playlist <file>
    Riproduce i file seguendo la playlist specificata (1 file per riga oppure formato Winamp oppure formato ASX)
    NOTA: Questa opzione e' considerata un file percio' le opzione trovate successivamente ad essa verranno applicate solo agli elementi di questa playlist.

-really-quiet
    Visualizza ancora meno informazioni e messaggi di stato.

-shuffle
    Riproduce i file in ordine casuale.

-skin <skin directory> (solo GUI)
    Carica la skin dalla directory specificata (SENZA nome del percorso) ESEMPIO: prova Skin/fittyfene. Controlla prima in /usr/local/share/mplayer/ e poi in ~/.mplayer/.

-slave
    Questa opzione abilita la modalita' slave (schiavo o servo) Questa opzione viene intesa per poter usare MPlayer come riproduttore asservito (backend) di altri programmi. Invece di intercettare gli eventi della tastiera, MPlayer leggera' semplicemente delle linee di comando da stdin.

-softsleep
    Usa temporizzazioni software di alta qualita'. Preciso come l' utilizzo di RTC senza richiedere privilegi speciali. Utilizza pero' maggiormente la CPU.

-speed <0.01-100>
    Regola la velocita' di riproduzione.

-sstep <sec>
    Specifica i secondi tra la visualizzazione dei fotogrammi. Utile per le presentazioni.

-use-stdin
    L' ingresso standard (noto anche come stdin) verra' utilizzato per leggere i dati invece di utilizzare direttamente gli eventi della tastiera. Se apri /dev/stdin (oppure l' equivalente nel tuo sistema), utilizzi stdin in una playlist oppure intendi leggere da stdin successivamente oppure attraverso i comandi loadfile o loadlist tu necessiti di questa opzione.

OPZIONI DEMUXER/STREAM

-aid <id> (vedi anche l' opzione -alang)
    Seleziona il canale audio [MPEG: 0-31 AVI/OGM: 1-99 ASF/RM: 0-127 VOB(AC3): 128-159 VOB(LPCM): 160-191 MPEG-TS 17-8190]. MPlayer stampa gli id disponibili se viene lanciato in modalita' verbosa ((-v). Quando si riproduce un flusso MPEG-TS, MPlayer/Mencoder useranno il primo programma (se presente) con il flusso audio scelto.

-alang <codice a due lettere del paese> (vedi anche l' opzione -aid)
    Funziona solo per la riproduzione di DVD. Seleziona la lingua audio e cerca sempre di suonare il flusso audio della lingua corrispondente al codice dato. Per una lista dei linguaggi utilizza l' opzione -v e dai una occhiata a quello che viene stampato. ESEMPIO: Utilizza l' italiano e passa all' inglese se l' italiano non e' disponibile.

-audio-demuxer <numero> (solo -audiofile)
    Forza il tipo di demuxer audio per -audiofile. L' ID deve esse specificato come definito in libmpdemux/demuxer.h. Utilizza -audio-demuxer 17 per forzare il riconoscimento del formato .mp3.

-audiofile <nomefile>
    Suona un file audio da un file esterno (WAV, MP3 oppure Ogg Vorbis) mentre visualizza un filmato.

-audiofile-cache <kBytes>
    Abilita il caching per lo stream usato da -audiofile, utilizzando la quantita' di memoria specificata.

-bandwidth <valore>
    Specifica la massima larghezza di banda (bandwidth) per lo streaming attraverso una rete (per quei server che sono capaci di inviare contenuti, normalmente filmati, a diversi bitrate). Utile se vuoi guardare contenuti multimediali dal vivo con una connessione lenta.

-cdrom-device <percorso al dispositivo>
    Sovrascrive il nome di default del CDROM /dev/cdrom.

-cache <kBytes>
    Questa opzione specifica quanta memoria (in kBytes) deve essere usata quando si precarica un file/URL. Utile specialmente con media molto lenti (il default e' -nocache).

-cdda <opzione1:opzione2>
    Questa opzione puo' essere usata per regolare la lettura di CD Audio da parte di MPlayer. Le opzioni disponibili sono: Regola la velocita' di rotazione del CD Regola il livello di paranoia 0: disabilita i controlli
    1: Solo controllo di overlap (default)
    2: Controllo e verifica completa dei dati Usa il dispositivo SCSI generico specificato Dimensione di una lettura atomica forza la ricerca si sovrapposizione minima (minimum overlap search) durante la verifica a <valore> settori Assume che lo scostamento iniziale della traccia 1 come riportato nella TOC sara' indirizzato come LBA 0. Alcuni lettori Toshiba hanno bisogno di questa opzione per ottenere la corretta delimitazione delle tracce. Aggiunge <valore> settori ai valori riportati quando si indirizzano le tracce. Puo' essere negativo. (non) accetta una ricostruzione imperfetta dei dati.

-channels <numero>
    Cambia il numero di canali da riprodurre, se non specificato il default e' 2. Se il numero di canali di uscita e' maggiore del numero dei canali di ingresso vengono inseriti dei canali vuoti (tranne nel caso di miscelazione da mono a stereo dove il canale monofonico e' ripetuto su entrambi i canali di uscita). Se il numero di canali di uscita e' minore del numero dei canali di ingresso il risultato dipende dal decoder audio (-afm). MPlayer chiede al decoder di decodificare l' audio in tanti canali quanti sono quelli specificati. A questo punto e' compito del decoder adempiere alla richiesta. Se il decoder genera piu' canali di quelli richiesti i canali eccedenti sono troncati. Questo e' generalmente importante solo quando si riproducono filmati con audio AC3 (come i DVD). In questo caso liba52 effettua la decodifica per default e correttamente sottomiscela l' audio nel numero di canali richiesti.
    NOTA: Questa opzione e' onorata dai codec (solo AC3) filtri (surround) e driver ao (almeno OSS). Le opzioni disponibili sono: stereo surround 5.1 completo

-chapter <id capitolo>[-<id capitolo finale>]
    Specifica da quale capitolo deve iniziare la riproduzione. Si puo', opzionalmente, specificare anche a quale capitolo deve fermarsi la riproduzione (default: 1). Esempi posso essere trovati sotto.

-cookies
    Manda cookie quando vengono fatte richieste HTTP.

-cookies-file <nomefile>
    Legge i cookie HTTP da questo file. Il file viene considerato in formato NetScape. Se si utilizza questa opzione, MPlayer non cerchera' i cookie in ~/.netscape/ e ~/.mozilla/.

-demuxer <numero>
    Forza il tipo di demuxer audio. L' ID deve esse specificato come definito in libmpdemux/demuxer.h. Utilizza -demuxer 17 per forzare il riconoscimento del formato .mp3.

-dumpaudio (solo MPLAYER)
    Scrive il flusso audio compresso grezzo su ./stream.dump (utile con mpeg/ac3).

-dumpfile <nomefile> (solo MPLAYER)
    Specifica su quale file MPlayer deve scrivere i flussi (dump). Dovrebbe essere usata con -dumpaudio / -dumpvideo / -dumpstream.

-dumpstream (solo MPLAYER)
    Scrive il flusso completo (audio/video) compresso grezzo su ./stream.dump. Utile quando si codifica / copia ('rippa') da DVD oppure da una rete.

-dumpvideo (solo MPLAYER)
    Scrive il flusso video compresso grezzo su ./stream.dump (non molto usabile).

-dvbin <options>
    Passa i parametri successivi al modulo DVB (Digital Video Board, Scheda Video Digitale) di ingresso, per poter sovrascrivere i valori di default: Specifica il numero di scheda (1-4) da usare (default: 1). Dice a MPlayer di leggere la lista dei canali da <file>. Il default e' ~/.mplayer/channels.conf.{sat,ter,cbl} (basato sul tipo di scheda) oppure ~/.mplayer/channels.conf come ultima risorsa.

-dvd-device <percorso del dispositivo>
    Sovrascrive il nome di default del dispositivo DVD /dev/dvd.

-dvdangle <id angolo>
    Alcuni dischi DVD contengono scene che possono essere visualizzate da angoli multipli. Qui' puoi dire a MPlayer quale angolo usare (default: 1) Esempi posso essere trovati sotto.

-forceidx
    Forza la ricostruzione dell' INDICE. Utile per file con indici rovinati (mancata sincronizzazione, etc). Il posizionamento sara' percio' possibile. Puoi mettere a posto l' indice in maniera permanente utilizzando MEncoder (controlla la documentazione).
    NOTA: Puoi usare questa opzione solo se il mezzo di trasporto sottostante supporta il posizionamento (i.e. non con stdin, pipe, etc).

-fps <valore>
    Sovrascrive il valore di velocita' del video (video framerate, frame per seconds, fps) se il valore e' sbagliato/mancante nell' intestazione (numero in floating point)

-frames <numero>
    Visualizza/converte solo i primi <numero> fotogrammi, poi esce.

-hr-mp3-seek (solo MP3)
    Posizionamento ad alta risoluzione per mp3. Per default e' abilitato quando si suona da un file MP3 esterno in quanto abbiamo bisogno di posizionarci perfettamente per mantenere il sincronismo A/V. Puo' essere molto lento specialmente quando ci si sposta all' indietro - si deve riposizionare all' inizio per trovare il frame esatto.

-idx (vedi anche -forceidx)
    Ricostruisce l' indice del file AVI se non lo trova, permettendo di conseguenza il posizionamento. Utile con file scaricati in modo errato/incompleto, oppure con file creati in modo non corretto.
    NOTA: Puoi usare questa opzione solo se il mezzo di trasporto sottostante supporta il posizionamento (i.e. non con stdin, pipe, etc).

-ipv4-only-proxy
    Ignora il proxy per gli indirizzi IPv6. Viene comunque usato per connessioni IPv4.

-loadidx <nomefile>
    Il file da cui caricare i dati dell' INDICE video salvati con -saveidx. MPlayer leggera' l' indice dal file e usera' questi dati per posizionarsi. Questi dati hanno precedenza su qualsiasi dato proveniente dall' indice presente nel file AVI stesso. Inoltre MPlayer non fara' nulla per evitare di farti caricare un file creato con un altro file AVI, ma siamo sicuri che questo creera' risultati sfavorevoli.
    NOTA: Questa opzione e' obsoleta perche' MPlayer ha la gestione ODML per i file AVI.

-mc <seconds/frame>
    Massima correzione della sincronizzazione A-V per fotogramma (in secondi).

-mf <option1:option2:...>
    Usato nella decodifica da elenco di file in formato PNG o JPEG. Le opzioni disponibili sono: larghezza del video di uscita (calcolata automaticamente) altezza del video di uscita (calcolata automaticamente) fps (frame per second, fotogrammi al secondo) del video di uscita (default: 25) tipo dei file di ingresso (tipi disponibili: jpeg, png, tga, sgi)

-ni (solo AVI)
    Forza l' utilizzo del lettore di AVI non-interleaved (permette la riproduzione di qualche file AVI scorretto).

-nobps (AVI only)
    Non usa il valore della media byte/sec per gestire il sincronismo A-V (AVI). Aiuta nel caso di alcuni file AVI con l' intestazione sbagliata

-noextbased
    Disabilita la selezione del tipo di demuxer basata sull' estensione del file. Per default, quando il tipo di file (demuxer) non puo' essere ricavata in modo sicuro (il file non ha un' intestazione oppure l' intestazione stessa non permette un riconoscimento sufficientemente sicuro) l' estensione del file viene usata per selezionare il demuxer. Viene sempre utilizzata la selezione basata sul contenuto del file da riprodurre.

-passwd <password> (vedi anche l' opzione -user)
    Specifica l' opzione per l' autentificazione http.

-prefer-ipv4
    Utilizza IPv4 per le connessioni di rete. Passa a IPv6 automaticamente.

-prefer-ipv6
    Utilizza IPv6 per le connessioni di rete. Passa a IPv4 automaticamente.

-rawaudio <option1:option2:...>
    Questa opzione ti permette di suonare file audio grezzi. Puo' anche essere usata per suonare CD audio che non siano codificati in PCM a 44KHz 16Bit stereo. Le opzioni disponibili sono: Utilizza il demuxer audio grezzo (raw) numero di canali campionamento in valori per secondo dimensione in byte di un campionamento fourcc (codice del formato) in esadecimale

-rawvideo <option1:option2:...>
    Questa opzione ti permette di visualizzare file video grezzi. Le opzioni disponibili sono: Uilizza il demuxer video grezzo (raw) velocita' in fotogrammi al secondo, default 25.0 Seleziona una dimensione standard per il video larghezza immagine in pixel altezza immagine in pixel seleziona lo spazio coloro spazio colore (fourcc) in esadecimale dimensione di un fotogramma in Bytes

-rtsp-stream-over-tcp
    Utilizzato con URL del tipo 'rtsp://' per specificare che i pacchetti RTP o RTCP devono essere fatti passare su TCP (utilizzando la stessa connessione di RTSP). Questa opzione puo' essere utile se hai una connessione internet che non gestisce in maniera corretta i pacchetti UDP (vedi http://www.live.com/mplayer/).

-saveidx <nomefile>
    Forza la ricostruzione dell' INDICE e lo scrive su un file separato specificato da nomefile. Attualmente funziona solo con i file AVI.
    NOTA: Questa opzione e' obsoleta perche' MPlayer ha la gestione ODML per i file AVI.

-sb <byte position> (vedi anche l' opzione -ss)
    Si posiziona al byte specificato. Utile per la riproduzione da immagini (copie fisiche byte per byte) di CDROM / file .VOB con dati inutili all' inizio.

-srate <Hz>
    Selezione il valore di frequenza di campionamento dato, effettuando un ricampionamento se necessario. MEncoder passa questo valore a lame per il ricampionamento.

-ss <tempo> (vedi anche l' opzione -sb)
    Si posiziona al tempo specificato. ESEMPIO: Si posiziona a 56 secondi dall' inizio del file Si posiziona a 1 ora 10 minuti dall' inizio del file

-tskeepbroken
    Dice a MPlayer di non scaricare (ignorare) i pacchetti TS indicati come errati (broken) nel flusso. A volte e' necessario per riprodurre dei file MPEG-TS corrotti.

-tsprog <1-65534>
    Nella riproduzione di un flusso MPEG-TS puoi specificare con questa opzione quale programma (se presente) vuoi usare. Puo' essere usato con -vid e -aid.

-tsprobe <byte position>
    Nella riproduzione di un flusso MPEG-TS questa opzione ti permette di specificare in quanti bytes vuoi che MPlayer cerchi i pid audio e video desiderati.

-tv <opzione1:opzione2:...>
    Questa opzione regola varike proprieta' del modulo di cattura TV. Per guardare la TV con MPlayer usa 'tv://' o 'tv://<numero_canale>' o anche 'tv://<nome_canale> (vedi l' opzione channels sotto per nome_canale) come URL del film.
    NOTA: MPlayer non accetta i due punti percio' utilizza il punto singolo nell' ID del dispositivo (e.g. hw.0,0 invece di hw:0,0).
    Attenzione che anche se puoi selezionare qualsiasi frequenza di campionamento utilizzando ALSA, il codec audio LAME e' capace di codificare solo le frequenze 'standard'. Otterrai un file .avi senza suono se selezioni una frequenza particolare ed utilizzi questo codec. Le opzioni disponibili sono: niente suono disponibili: dummy, v4l, v4l2, bsdbt848 Specifica il dispositivo se diverso dal default /dev/video0. Specifica l' ingresso se diverso dal default 0 (televisione) (vedi output per una lista) Specifica la frequenza del sintonizzatore (e.g. 511.250). Non e' compatibile con il parametro channels. Specifica il formato di uscita del sintonizzatore con un valore supportato dal driver V4L (yv12, rgb32, rgb24, rgb16, rgb15, uyvy, yuy2, i420) oppure un formato arbitrario selezionato da un valore esadecimale. Prova outfmt=help per una lista dei formati disponibili. larghezza della finestra di uscita altezza della finestra di uscita velocita' di cattura del video (fotogrammi al secondo) dimensione massima del buffer di cattura (default: dinamica) disponibile: PAL, SECAM, NTSC. Per v4l2 usa l' opzione normid sotto. solo v4l2. Controlla quello che stampa MPlayer per una lista delle possibilita' disponibili. Regola il sintonizzatore sul canale <valore>. disponibile: europe-east, europe-west, us-bcast, us-cable, etc Indica i nomi dei canali. Usa _ per gli spazi nei nomi (o divertiti con il quoting ;-). I nomi dei canali verranno scritti usando l' OSD e i comandi tv_step_channel, tv_set_channel e tv_last_channel saranno utilizzabili usando un controllo remoto (dai un' occhiata a lirc) Non e' compatibile con il parametro frequency. Attenzione: il numero del canale sara' la posizione nella lista 'channels', a partire da 1. Esempio: usa tv://1, tv://2, tv://TV1, tv_set_channel 1, tv_set_channel 2, tv_set_channel TV1, etc. Regola l' equalizzazione dei colori/valori sulla scheda Seleziona il bitrate di cattura audio cattura l' audio anche se non c'e' nessuna sorgente audio riportata da v4l cattura da ALSA Seleziona il modo audio: 0: mono
    1: stereo
    2: lingua 1
    3: lingua 2 Per default, il conteggio dei canali audio da registrare e' determinato automaticamente interrogando la modalita' audio della scheda tv. Questa opzione permette di forzare la registrazione stereo/mono indipendentemente dall' opzione amode e dai valori riportati da v4l. Puo' essere usato per la risoluzione guasti quando la scheda tv non e' capace di riportare il modo audio corrente. Seleziona un dispositivo audio. /dev/... per OSS
    ID hardware per ALSA sceglie una uscita audio della scheda di cattura, se ne ha piu' di una. Queste opzioni regolano i parametri del mixer sulla scheda di cattura video. Non hanno alcun effetto se la tua scheda non ne ha uno. Per v4l1, 0-65535 e' un range valido. Per v4l2, il range valido e' da 0 a 100, 50 viene mappato sul valore di default del rispettivo controllo come riportato dal driver. Il valore 0 indica di catturare e bufferizare audio e video insieme (default per MEncoder). Il valore 1 (default per MPlayer) indica di effettuare solo la cattura video e lasciare l' audio passare attraverso un cavo di loopback dalla scheda TV alla scheda aaudio. Usa la compressione mjpeg hardware (se la scheda lo supporta). Quando si usa questa opzione non e' necessario specificare la larghezza e l' altezza della finestra di uscita perche' MPlayer la determinera' automaticamente dal valore di decimation (vedi sotto). Sceglie la dimensione dell' immagine che verra' creata dall' hardware di compressione mjpeg. 1: dimensione completa
        704x576 PAL
        704x480 NTSC
    2: dimensione media
        352x288 PAL
        352x240 NTSC
    4: dimensione piccola
        176x144 PAL
        176x120 NTSC Seleziona la qualita' della compressione jpeg
    (un valore di quality < 60 e' raccomandato per la dimensione completa)

-user <user name> (vedi anche l' opzione -passwd)
    Specifica il nome utente per l' autentificazione http.

-user-agent <string>
    Utilizza la stringa specifica come User-Agent per lo streaming HTTP.

-vid <id>
    Selezione il canale video [MPG: 0-15 ASF: 0-255 MPEG-TS: 17-8190]. Nella riproduzione di un flusso MPEG-TS, MPlayer/MEncoder usera' il primo programma (se presente) con il flusso video prescelto.

-vivo <sub-options> (CODICE DI DEBUG)
    Forza i parametri audio per il demuxer .vivo (per scopi di debugging).

OPZIONI OSD/SOTTOTITOLI
NOTA: Vedi anche -vf expand.

-dumpjacosub (solo MPLAYER)
    Converti i sottotitoli (specificati con l' opzione -sub) nel formato dei sottotitoli basato sul tempo JACOsub. Crea un file dumpsub.js nella directory corrente.

-dumpmicrodvdsub (solo MPLAYER)
    Converti i sottotitoli (specificati con l' opzione -sub) nel formato dei sottotitoli MicroDVD. Crea un file dumpsub.sub nella directory corrente.

-dumpmpsub (solo MPLAYER)
    Converti i sottotitoli (specificati con l' opzione -sub) nel formato dei sottotitoli di MPlayer, MPsub. Crea un file dump.mpsub nella directory corrente.

-dumpsami (solo MPLAYER)
    Converti i sottotitoli (specificati con l' opzione -sub) nel formato dei sottotioli basato sul tempo SAMI. Crea un file dumpsub.smi nella directory corrente.

-dumpsrtsub (solo MPLAYER)
    Converti i sottotitoli (specificati con l' opzione -sub) nel formato dei sottotioli basato sul tempo SubViever (SRT). Crea un file dumpsub.srt nella directory corrente.

-dumpsub (solo MPLAYER) (CODICE BETA)
    Estrae il flusso dei sottotitoli dal file VOB. Vedi anche le opzioni -dump*sub e -vobsubout* .

-ffactor <numero>
    Mappatura alpha si campionamento del font. Puo' essere: Semplici font bianchi font outline neri molto sottili (default) font outline neri sottili font outline neri in grassetto

-flip-hebrew
    Attiva il flipping dei sottotitoli utilizzando FriBiDi.

-font <path to font.desc file>
    Cerca i font per OSD/SUB in una directory alternativa (default per i font normali: ~/.mplayer/font/font.desc, default per i font FreeType: ~/.mplayer/subfont.ttf).
    NOTA: Con FreeType, questa opzione determina il percorso del file del font di testo.
    Con Fontconfig, questa opzione determina il nome del font fontconfig. ESEMPIO: -font ~/.mplayer/arial-14/font.desc
    -font ~/.mplayer/arialuni.ttf
    -font 'Bitstream Vera Sans'

-fontconfig
    Abilita l' utilizzo dei font gestiti da fontconfig.

-forcedsubsonly
    Visualizza solo i sottotitoli forzati (forced subtitles) per il flusso dei sottotitoli del DVD specificato ad esempio con -slang.

-fribidi-charset <charset name>
    Specifica il charset che sara' passato a FriBiDi quando si decodifica un sottotitolo non-UTF8 (default: ISO8859-8).

-ifo <vobsub ifo file>
    Indica il file che verra' usato per caricare la palette e la dimensione del fotogramma per i sottotitoli VOBSUB.

-noautosub
    Disabilita il caricamento automatico dei file dei sottotitoli.

-osdlevel <0-3> (solo MPLAYER)
    Specifica in quale modalita' deve partire l' OSD. Solo sottotitoli volume + posizione (default) volume + posizione + tempo corrente + percentuale volume + posizione + tempo corrente + percentuale + tempo totale

-overlapsub
    Permette al sottotitolo successivo di essere visualizzato mentre quello corrente e' ancora visibile (il default e' abilitare il supporto solo per formati specifici).

-sid <id> (vedi anche -slang option)
    Attiva la visualizzazione dei sottotitoli DVD. DEVI anche specificare un numero che corrisponde ad un linguaggio dei sottotitoli (0-31). Per una lista dei sottotitoli disponibili utilizza l' opzione -v e dai un' occhiata a quello che viene stampato.

-slang <two letter country code> (vedi anche -sid option)
    Per la visualizzazione dei DVD attiva/seleziona il linguaggio dei sottotitoli.. Per una lista dei sottotitoli disponibili utilizza l' opzione -v e dai un' occhiata a quello che viene stampato.
    Altrimenti, determina un suffisso opzionale dei sottotitoli che ottiene una priorita' piu' alta nella ricerca dei sottotitoli stessi. ESEMPIO: Seleziona Ungherese e passa all' Inglese se l' Ungherese non e' disponibile.

-spuaa <mode>
    Modalita' di antialias/scalatura per DVD/BovSub. Il valore 16 puo' essere aggiunto al modo per forzare la scalatura anche quando il fotogramma originale e quello scalato corrispondono, ad esempio per sfumare i sottotitoli con una sfocatura gaussiana. I modi disponibili sono: nessuno (il piu' veloce, molto brutto) approssimato (non funziona?) completo (veloce) bilineare (default, veloce e non troppo male) utilizza la sfocatura gaussiana di swscaler (appare molto bene)

-spualign <-1-2>
    Specifica come i sottotitoli spu (DVD/VobSub) devono essere allineati. I valori sono gli stessi di -subalign, con la possibilita' extra di poter usare -1 per avere la posizione originale.

-spugauss <0.0-3.0>
    Parametro di varianza della sfocatura gaussiana usata da -spuaa 4. Un valore piu' alto significa maggior sfocatura. Il default e' 1.0.

-sub <subtitlefile1,subtitlefile2,...>
    Utilizza/visualizza questi file dei sottotitoli. Solo un file puo' essere visualizzato nelle stesso momento e i file possono essere cambiati con 'j'.

-sub-bg-alpha <0-255>
    Specifica il valore del canale alpha per i sottotitoli e per lo sfondo dell' OSD. Valori piu' grandi indicano maggior trasparenza. Il valore 0 e' un eccezione e indica la completa trasparenza.

-sub-bg-color <0-255>
    Specifica il valore del colore per i sottotitoli e per lo sfondo dell' OSD. Attualmente i sottotitoli sono a scala di grigi e percio' questo valore e' equivalente all' intensita' del colore. Il valore 255 indica bianco e 0 nero.

-sub-demuxer <numero> (-subfile only) (CODICE BETA)
    Forza il tipo di demuxer dei sottotitoli per -subfile. Passa l' ID del demuxer come specificato in subreader.h.

-sub-fuzziness <mode>
    Controlla il riconoscimento adattivo quando si cercano i sottotitoli. corrispondenza esatta carica tutti i sottotitoli che contengono il nome del file. carica tutti i sottotitoli nella directory corrente

-sub-no-text-pp
    Disabilita ogni tipo di post elaborazione sui testi fatto dopo il caricamento dei sottotitoli. Usato a scopo di debug.

-subalign <0-2>
    Specifica come i sottotitoli devono essere allineati con subpos. 0 indica di allinearsi sull' alto (comportamento originale/default), 1 indica di allinearsi al centro e 2 indica di allinearsi al basso.

-subcc
    Visualizza i sottotitoli Close Caption (CC) dei DVD. Questi NON sono i sottotitoli dei VOB, sono sottotitoli speciali in ASCII per le persone con danni all' udito codificati nei dati utente del flusso VOB in molti DVD della regione 1. Fino ad ora non sono ancora stati trovati dei sottotitoli CC in DVD di altre regioni.

-subcp <codepage>
    Se il tuo sistema supporta iconv(3) puoi usare questa opzione per specificare la pagina codici (codepage) dei sottotitoli. ESEMPIO: -subcp latin2
    -subcp cp1250

-subdelay <sec>
    Ritarda i sottotitoli di <sec> secondi. Puo' essere negativo.

-subfile <nomefile> (CODICE BETA)
    Attualmente inutile. E' lo stesso che -audiofile, ma per il flusso dei sottotitoli (OggDS?).

-subfont-autoscale <0-3> (FreeType only)
    Attiva la modalita' di auto scalatura.
    NOTA: Zero indica che la scala del testo e dell' OSD sono altezze dei font in punti. Le modalita' possono essere: niente auto scalatura proporzionale all' altezza del filmato proporzionale alla larghezza del filmato proporzionale alla diagonale del filmato (default)

-subfont-blur <0-8> (solo FreeType)
    Attiva il raggio della sfocatura del font (default: 2).

-subfont-encoding <valore> (solo FreeType only)
    Attiva la codifica del font. Quando settato a 'unicode' tutti i glyphs dal file del font verranno disegnati e verra' usato l' unicode (default: unicode).

-subfont-osd-scale <0-100> (solo FreeType)
    Attiva il coefficiente di auto scalatura degli oggetti dell' OSD (default: 6).

-subfont-outline <0-8> (solo FreeType)
    Seleziona l' ampiezza dell' outline del font (default: 2).

-subfont-text-scale <0-100> (solo FreeType)
    Seleziona il coefficiente di auto scalatura del testo dei sottotitoli (percentuale della dimensione dello schermo) (default: 5).

-subfps <rate>
    Specifica il rapporto fotogrammi/sec del file dei sottotitoli (numero float). default: stessi valore di fps del filmato.
    NOTA: Solo per file dei sottotitoli basati sui fotogramma, i.e. NON per il formato MicroDVD.

-subpos <0-100> (useful with -vf expand)
    Specifica la posizione dei sottotitoli sullo schermo. Il valore e' la posizione verticale dei sottotitoli in % sull' altezza dello schermo.

-subwidth <10-100>
    Specifica la larghezza massima dei sottotitoli sullo schermo. Utile per l' uscita TV. Il valore e' l' ampiezza dei sottotitoli in % sulla larghezza dello schermo.

-unicode
    Dice a MPlayer di gestire i sottotitoli come UNICODE.

-utf8
    Dice a MPlayer di gestire il file dei sottotitoli come UTF8.

-vobsub <vobsub file without extension>
    Specifica i file VobSun che devono essere usati per i sottotitoli. Questo e' il percorso completo senza estensione, i.e. senza il '.idx', ',ifo' o '.sub'.

-vobsubid <0-31>
    Specifica l' id del sottotitolo VobSub.

OPZIONI DI USCITA AUDIO (SOLO MPLAYER)

-abs <valore> (OBSOLETO)
    Sovrascrive la ricerca della dimensione del buffer del driver/scheda, solo -ao oss.

-ao <driver1[:device],driver2,...[,]>
    Specifica una lista di priorita' dei driver di uscita audio (opzionalmente con il dispositivo) da usare. Con SDL anche 'device' e' valido ed in questo caso indica il sotto driver.
    NOTA: Per avere una lista completa dei driver disponibili vedi -ao help.
    Se la lista ha una ',' finale allora verranno usati anche i driver non indicati. ESEMPIO: prova ad usare OSS con il dispositivo del suono specificato e passa agli altri se non riesce specifica il sotto driver SDL

-aofile <nomefile>
    Nome del file per -ao pcm.

-aop <list=plugin1,plugin2...:option1=value1:opt2=val2...>
    Specifica i plugin audio e le loro opzioni (vedi anche la documentazione). Le opzioni disponibili sono: lista separata da virgola dei plugin (resample, surround, format, volume, extrastereo, volnorm) plugin di esempio, non usare. formato di uscita (solo il plugin format) frequenza di uscita (solo il plugin resample) volume (solo il plugin volume) coefficiente stereo (default: 2.5) (solo il plugin extrastereo) compressore / capacita' di 'soft-clipping' (solo il plugin volume)

-delay <sec>
    Ritardo audio in secondi (puo' essere un valore float +/-)

-format <0-8192>
    Seleziona il formato usato per l' uscita dallo strato dei filtri (in accordo con quello definito in libao2/afmt.h): Mu-Law A-Law Ima-ADPCM 8-bit con segno 8-bit senza segno 16-bit senza segno (Little-Endian) 16-bit senza segno (Big-Endian) 16-bit con segno (Little-Endian) 16-bit con segno (Big-Endian) MPEG (2) Audio AC3 32-bit con segno (Little-Endian) 32-bit con segno (Big-Endian)

-mixer <device>
    Questa opzione indica a MPlayer di usare un dispositivo diverso per la gestione del mixer da /dev/mixer.

-mixer-channel <mixer line> (solo -ao oss)
    Questa opzione indica a MPlayer di usare un canale differente per controllare il volume dal default PCM. Le opzioni includono vol, pcm, line. Per una lista completa delle opzioni dai un' occhiata a SOUND_DEVICE_NAMES in /usr/include/linux/soundcard.h.

-nowaveheader (solo -ao pcm)
    Non includere l' intestazione wave. Utilizzato per RAW PCM (dati PCM grezzi).

OPZIONI DI USCITA VIDEO (MPLAYER ONLY)

-aa* (solo -vo aa)
    Puoi avere una lista ed una spiegazione delle opzioni disponibili eseguendo mplayer -aahelp

-adapter <valore> (solo -vo directx)
    Seleziona la scheda grafica che ricevera' l' immagine. Serve anche l' opzione -vm per funzionare. Puoi avere una lista delle schede disponibili se utilizzi questa opzione insieme a -v.

-bpp <depth>
    Una una differente profondita' di colore rispetto a quella trovata automaticamente. Non tutti i driver -vo lo supportano (fbdev, dga2, svga, vesa).

-brightness <-100-100>
    Seleziona la luminosita' dell' uscita video (default 0). Cambia l' intensita' delle componenti RGB del segnale video da nero a bianco.

-contrast <-100-100>
    Seleziona il contrasto dell' uscita video (default 0). Lavora in maniera simile alla luminosita' (brightness).

-dfbopts <valore> (solo -vo directfb)
    Specifica una lista di parametri per il driver directfb.

-display <name>
    Specifica il nome (hostname) ed il numero del display del server X dove vuoi visualizzare il filmato. ESEMPIO: -display xtest.localdomain:0

-double
    Abilita il doppio buffering. Elimina il tremolio (flicker) memorizzando due fotogrammi in memoria e visualizzandone uno mentre decodifica l' altro. Puo' influenzare l' OSD. Necessita del doppio di memoria di un buffer singolo percio' non funzionera' con schede con molta poca memoria.

-dr Attiva il rendering diretto (non supportato da tutti i codec e uscite video) (default is off). Attenzione: puo' causare corruzioni dell' OSD/SUB!

-dxr2 <option1:option2:...>
    Questa opzione e' usata per controllare il driver dxr2. modalita' del rapporto di aspetto (0 = normale, 1 = pan scan, 2 = letterbox (default)) modalita' di uscita iec958 Setta il modo di uscita iec958 a decoded (default) modalita' macrovision (0 = niente (default), 1 = agc, 2 = agc 2 striscie di colore, 3 = agc 4 striscie di colore) uscita sonora muta riattiva l' uscita sonora. percorso al microcode
    TV Out
abilita il modo di uscita 7.5 IRE disabilita il modo di uscita 7.5 IRE (default) uscita TV in bianco e nero uscita TV a colori (default) uscita TV interlacciata (default) disabilita l' uscita TV interlacciata (default) norma TV (ntsc (default), pal, pal60, palm, paln, palnc) attiva il modo pixel a square (quadrato) attiva il modo pixel a ccir601
    Overlay
Set il valore di ritaglio (crop) a sinistra (default: 50) Set il valore di ritaglio a destra (default: 300) Set il valore di ritaglio in alto (default: 0) Set il valore di ritaglio in basso (default: 0) Attiva il valore di guadagno del color-key del r(osso), g(reen, verde) e b(lu) valore minimo per la corrispondente color key valore massimo per la corrispondente color key ignora i valori salvati dell' overlay aggiorna i valori salvati dell' overlay abilita l' overlay del display su schermo abilita l' overlay del display su schermo (default) seleziona la dimensione (h,w) e posizione (x,y) dell' overlay nel caso non corrispondesse perfettamente alla finestra (default: 0) attiva l' overlay (default) attiva l' uscita TV sintonizza l' overlay (default 1000)

-fb <device> (solo fbdev o DirectFB) (OBSOLETO)
    Specifca il dispositivo del framebuffer da usare. Per default usa /dev/fb0.

-fbmode <modename> (solo fbdev)
    Cambia il modo video a quello indicato come <modename> in /etc/fb.modes.
    NOTA: il framebuffer VESA non supporta il cambio del modo video.

-fbmodeconfig <nomefile> (solo fbdev)
    Usa questo file di configurazione invece che il default /etc/fb.modes. Valido solo per il driver fbdev.

-forcexv (solo SDL)
    Forza l' utilizzo di XVideo.

-fs Riproduzione a schermo intero (centra il filmato e mette delle barre nere attorno ad esso). Attivalo/disattivalo con il tasto 'f' (non tutte le uscite video lo supportano). Vedi anche -zoom.

-fsmode-dontuse <0-31> (OBSOLETO) (usa l' opzione -fs)
    Prova questa opzione se hai ancora problemi con i filmati a schermo intero.

-fstype <type1,type2,...>
    Specifica una lista di priorita' dello modalita' di attivazione a schermo intero da usare. I tipi disponibili sono: Utilizza l' hint _NETWM_STATE_ABOVE se disponibile. Utilizza l' hint _NETWM_STATE_BELOW se disponibile. Utilizza l' hint _NETWM_STATE_FULLSCREEN se disponibile. Utilizza l' hint _WIN_LAYER con il layer di default. Utilizza l' hint _WIN_LAYER hint con il numero di layer specificato. Forza lo stile NETWM. Non attivare il layer della finestra a schermo intero. Utilizza l' hint _NETWM_STATE_STAYS_ON_TOP se disponibile.

    Puoi negare i modi mettendoci all' inizio '-'.
    L' ordine di default e' layer,stays_on_top,above,fullscreen. Viene usato nel caso di una specificazione non corretta o nel caso di modalita' non supportate.
    Gli utilizzatori di OpenBox 1.x devono usare -fstype -fullscreen per ottenere il funzionamento dello scambio della modalita' a schermo intero.
    Se hai problemi con le finestre a schermo intero che vengono coperte da altre finestre prova ad utilizzare un ordine diverso.
    NOTA: Vedi -fstype help per una lista completa dei modi disponibili.

-geometry x[%][:y[%]] or [WxH][+x+y]
    Regola dove viene visualizzato l' uscita sullo schermo inizialmente. I valori di x ed y sono in pixel misurati dall' angolo alto a sinistra dello schermo all' angolo alto a sinistra dell' immagine visualizzata, comunque se viene aggiunto il segno di percentuale ad un argomento il valore viene convertito in una percentuale della dimensione dello schermo in quella direzione. Supporta anche il formato dell' opzione standard di X -geometry. I valori passati devono essere interi.
    NOTA: Questa opzione e' supportata dalle uscite video x11, xmga, xv, xvmc, xvidix, directx e tdfxfb. ESEMPIO: Posiziona la finestra a x=50, y=40. Posiziona la finestra nel mezzo dello schermo. Posiziona la finestra nel mezzo dell' angolo in alto a destra dello schermo Posiziona la finestra nell' angolo in basso a destra dello schermo

-guiwid <window id>
    Questo indica alla GUI di usare anche una finestra X11 e di collegarsi alla parte inferiore del video, che e' utile per inserire una mini-GUI in un browser (ad esempio con il plugin MPlayer).

-hue <-100-100>
    Regola l' hue del segnale video (default: 0) Puoi ottenere dei negativi colorati delle immagini con questa opzione.

-jpeg <option1:option2:...> (-vo jpeg only)
    Specifica opzioni per l' uscita in formato JPEG.
    Le opzioni disponibili sono: Specifica JPEG standard o progressivi. Specifica l' utilizzo o meno del baseline. Fattore di ottimizzazione [0-100] Fattore di 'lisciatura' [0-100] Fattore di qualita' [0-100] Directory dove salvare i file JPEG.

-monitor-dotclock <dotclock (o pixelclock) range> (solo fbdev e vesa)
    Dai un' occhiata in etc/example.conf per maggiori informazioni ed in DOCS/HTML/en/devices.html#video-dev.

-monitor-hfreq <horizontal frequency range> (solo fbdev e vesa)

-monitor-vfreq <vertical frequency range> (solo fbdev e vesa)

-monitoraspect <ratio>
    Seleziona il rapporto di aspetto (aspect ratio) del tuo monitor o dello schermo TV. Vedi anche -aspect per il rapporto di aspetto del filmato. ESEMPIO: -monitoraspect 4:3 o 1.3333
    -monitoraspect 16:9 o 1.7777

-nograbpointer
    Non acquisire il puntatore del mouse dopo un cambio di modo video (-vm), utile nel caso di configurazioni con piu' monitor.

-nokeepaspect
    Non mantenere il rapporto di aspetto quando si ridimensiona una finestra X11 (attualmente funziona solo con le uscite video x11, xv, xmga e xvidix ed il tuo gestore delle finestre deve capire l' hint dell' aspetto finestra).

-noxv (solo SDL)
    Disabilita il driver XVideo di SDL.

-ontop
    Rende la finestra di visualizzazione del filmato in modalita' 'stay on top', stai in cima, delle altre finestre. Supportato dai driver che usano X11, SDL esclusa, cosi' come da directx e gl2 sotto Windows.

-panscan <0.0-1.0>
    Abilita le funzionalita' di Pan e Scan, i.e. per riuscire a visualizzare un filmato 16:9 su uno schermo 4:3, i lati del filmato vengono tagliati per avere un' immagine 4:3 che si adatta allo schermo. Questa opzione funziona solo con i driver di uscita video xv, xmga, mga e xvidix.
    Il parametro controlla quanto dell' immagine viene tagliato.

-refreshrate <Hz>
    Attiva la frequenza di rinfresco del monitor in Hz. Attualmente e' supportato solo dal driver -vo directx combinato con l' opzione -vm.

-rootwin
    Visualizza il filmato nella finestra root (lo sfondo del desktop) invece che aprire una nuova finestra. Funziona solo con i driver x11, xv, xmga e xvidix.

-saturation <-100-100>
    Regola la saturazione dell' uscita video (default: 0). Puoi ottenere un' uscita in bianco e nero con questa opzione.

-screenh <pixels> -screenw <pixels>
    Se utilizza un driver di uscita che non conosce la risoluzione dello schermo (fbdev/x11 and/or TVout) con queste opzioni puoi specificare la risoluzione orizzontale e verticale.

-stop-xscreensaver
    Disattiva il salvaschermo x alla partenza e lo riattiva all' uscita.

-vm Cerca di cambiare in un modo video migliore. Viene supportato dai driver dga, x11/xv (XF86VidMode) ed sdl. Se e' usato con il driver di uscita video directx allora si possono usare le opzioni -screenw, -screenh, -bpp e -refreshrate per selezionare le caratteristiche del modo di visualizzazione.

-vsync
    Abilita il VBI per vesa.

-wid <window id>
    Dice ad MPlayer di usare una finestra X11, cosa utile per incastrare MPlayer in un browser (ad esempio con l' estensione plugger).

-xineramascreen <0-...>
    In configurazioni con Xinerama (i.e. un singolo desktop che si espande su monitor multipli) questa opzione indica a MPlayer su quale schermo deve visualizzare il filmato.

-z <0-9>
    Specifica il livello di compressione per l' uscita PNG (-vo png) nessuna compressione massima compressione

-zrbw (solo -vo zr)
    Visualizza in bianco e nero (per ottenere prestazioni ottimali, questa opzione puo' essere combinata con l' opzione 'decodifica solo in bianco e nero' dei codec che appartengono alla famiglia FFmpeg).

-zrcrop <[width]x[height]+[x offset]+[y offset]> (solo -vo zr)
    Seleziona una parte dell' immagine per la visualizzazione, occorrenze multiple di questa opzioni attivano la modalita' cinerama. In modalita' cinerama il filmato viene distribuito su piu' di una TV (o proiettore) per creare uno schermo piu' largo. Le opzioni che appaiono dono la n-esima -zrcrop si riferiscono alla n-esima scheda MJPEG, ogni scheda deve avere almeno un -zrdev oltre a -zrcrop. Per esempi dai un' occhiata a quello che stampa l' opzione -zrhelp e la sezione riguardante Zr nella documentazione.

-zrdev <device> (solo -vo zr)
    Specifica il file speciale del dispositivo che appartiene alla tua scheda MJPEG, per default questo driver prende il primo dispositivo v4l che trova.

-zrfd (solo -vo zr)
    Forza la decimazione. La decimazione, come specificato da -zrhdec e -zrvdec, viene eseguita solo se lo scalatore hardware riesce a riportare l' immagine alle sue dimensioni originali. Usa questa opzione per forzare la decimazione.

-zrhelp (solo -vo zr)
    Visualizza una lista di tutte le opzioni r*, i loro valori di default ed un esempio di modalita' cinerama.

-zrnorm <norm> (solo -vo zr)
    Specifica la norma TV PAL/NTSC, il default e' 'nessun cambiamento.

-zrquality <1-20> (solo -vo zr)
    Un numero da 1 a 20 che rappresenta la qualita' della codifica jpeg. Con 1 si ottiene la massima qualita' mentre con 20 si ottiene una qualita' molto brutta.

-zrvdec <1,2,4> -zrhdec <1,2,4> (solo -vo zr)
    Decimazione verticale/orizzontale. Chiedi al driver di mandare solo una ogni 2 o 4 linee/pixel dell' immagine di ingresso alla scheda MJPEG, dopodiche' viene utilizzato lo scalatore hardware della scheda stessa per riportare l' immagine alle sue dimensioni originali.

-zrxdoff <x display offset>, -zrydoff <y display offset> (solo -vo zr)
    Se il filmato e' piu' piccolo dello schermo TV, queste opzioni controllano la posizione del filmato relativo all' angolo in alto a sinistra dello schermo. Il filmato per default e' centrato.

OPZIONI DI DECODIFICA/FILTRAGGIO

-ac <[-]codec1,[-]codec2,...[,]>
    Specifica una lista di priorita' di codec audio da usare, in accordo con il loro nome in codecs.conf. Usa un '-' prima del nome del codec per ometterlo.
    NOTA: Vedi -ac help per una lista completa dei codec disponibili.
    Se Se la lista ha una ',' finale allora verranno usati anche i codec non indicati. ESEMPIO: forza il codec MP3 l3codeca.acm prova libmad prima, poi passa agli altri prova prima il decodificatore hardware AC3 (AC3 passthrough), poi il codec software AC3, poi gli altri. prova tutti i codec eccetto il decoder MP3 di FFmpeg

-af <plugin1[=options],plugin2,...>
    Attiva una lista separata da virgola di filtri audio con le proprie opzioni.
    I filtri disponibili sono: Cambia la frequenza di campionamento del flusso audio ad un valore intero (Hz). Supporta solo il formato a 16 bit little endian. Cambia il numero di canali a nch canali di uscita. Se il numero di canali di uscita e' maggiore del numero di canali di ingresso vengono inseriti dei canali vuoti (eccetto nel caso da mono a stereo dove il canale mono viene ripetuto su entrambi i canali di uscita). Se il numero di canali di uscita e' minore del numero di canali di ingresso i canali in eccesso sono troncati. Seleziona il formato f e bps byte per campionamento usati per l' uscita dalla gestione dei filtri L' opzione bps e' un intero ed indica byte per campionamento. Il formato f e' una stringa che contiene un insieme di:
    alaw, mulaw o imaadpcm
    float o int
    unsigned o signed (senza segno, con segno)
    le or be (little o big endian)
    Seleziona il livello del volume di uscita. Questo filtro non e' rientrante e percio' puo' essere usato solo una volta per ogni flusso audio. v: guadagno desiderato in dB per tutti i canali del flusso. Il guadagno puo' andare da -200dB a +40dB (dove -200dB ammutoliscono completamente il suono e +40dB corrisponde ad un guadagno di 1000 volte).
    sc: abilita soft clipping. Miscela i canali arbitrariamente, guarda DOCS/HTML/en/devices.html#audio-dev per dettagli. n: numero di canale di uscita (1-6).
    lij: quanto del canale di ingresso j viene miscelato nel canale di uscita i. Aggiungi il canale del sub-woofer. fc: Frequenza di taglio del filtro passa basso (da 20Hz a 300Hz, default 60Hz).
    ch: Numero del sotto-canale. Decodificatore per il suono surround codificato a matrice (matrix encoded surround sound), funziona sulla maggior parte dei file a 2 canali. d: tempo di ritardo in ms per l' altoparlante posteriore (da 0ms a 1000ms, default 15ms). Ritardi dell' uscita del suono. Specifica il ritardo separatamente per ogni canale in millisecondi (numero in virgola mobile da 0 a 1000). Esporta il segnale in arrivo ad un altro processo usando la mappatura della memoria (mmap()). mmapped_file: file su cui mappare i dati (default: ~/.mplayer/mplayer-af_export).
    nsamples: numero di campionamenti per canale (default: 512)

-af-adv <force=(0-3):list=(filters)> (see -af option too)
    Specifica le opzioni avanzate dei filtri audio: Forza l' inserzione del filtro audio a uno dei seguenti: 0: Inserzione completamente automatica dei filtri (default)
    1: Ottimizza per la precisione
    2: Ottimizza per la velocita'
    3: disabilita auto Stesso significato di -af (guarda l' opzione -af).

-afm <driver1,driver2,...>
    Specifica una lista di priorita' dei driver audio da usare, in accordo al nome del driver in codecs.conf. Utilizza il default se nessuno e' ok.
    NOTA: Guarda \-afm help per una lista completa dei driver disponibili. ESEMPIO: prova prima i codec di libavcodec da FFmpeg (mp1/2/3) prova prima i codec di Win32

-aspect <ratio>
    Sovrascrive il valore del rapporto di aspetto dei filmati. E' ricavato automaticamente nei file MPEG ma non puo' essere ricavato automaticamente su molti file AVI. ESEMPIO: -aspect 4:3 o -aspect 1.3333
    -aspect 16:9 o -aspect 1.7777

-noaspect
    Disabilita la compensazione automatica del rapporto di aspetto del film.

-flip
    Ribalta l' immagine alto-basso.

-lavdopts <option1:option2:...> (CODICE DI DEBUG)
    Quando si decodifica con libavcodec puoi specificare i suoi parametri qui. ESEMPIO: -lavdopts bug=1
    NOTA: Aggiungi semplicemente il valori delle cose che vuoi abilitare.
    Le opzioni disponibili:
occultamento degli errori: 1: usa un filtro molto forte di eliminazione degli effetti di blocco per MB danneggiati
2: ricerca MV iterattiva (lenta)
3: tutto (default) recupero degli errori:
0: disabilitato
1: attento (dovrebbe funzionare con codificatori errati)
2: normale (default) (funziona con codificatori corretti)
3: aggressivo (piu' controlli ma puo' causare problemi anche con flussi validi)
4: molto aggressivo debug:
0: disabilitato
1: informazioni immagine
2: controllo del bitrate
4: flusso dei bit
8: tipi di MB
16: QP
32: Vettori di Movimento
0x0040: Visualizzazione dei vettori di movimento (usa -noslices)
0x0080: MB saltati
0x0100: startcode
0x0200: PTS
0x0400: recupero degli errori
0x0800: operazioni di controllo della gestione della memoria (H264)
0x1000: bugs vismv:
0: disabilitato
1: visualizza gli MV previsti in avanti dei fotogrammi P
2: visualizza gli MV previsti in avanti dei fotogrammi B
4: visualizza gli MV previsti in indietro dei fotogrammi B lavora manualmente alla risoluzione degli errori del codificatore: 0: niente
1: rileva automaticamente i bug (default)
2 (msmpeg4v3): qualche vecchio file msmpeg4v3 generato da lavc (niente rilevamento automatico)
4 (mpeg4): bug dell' interlacciamento di XviD (rilevato automaticamente se fourcc==XVIX)
8 (mpeg4): UMP4 (rilevato automaticamente se fourcc==UMP4)
16 (mpeg4): bug di padding (rilevato automaticamente)
32 (mpeg4): bug vlc illegale (rilevato automaticamente per fourcc)
64 (mpeg4): qpel bug di XviD e DivX (rilevato automaticamente per fourcc/ver)
128 (mpeg4): vecchio standard qpel (rilevato automaticamente per fourcc/ver)
256 (mpeg4): altro bug qpel (rilevato automaticamente per fourcc/ver)
512 (mpeg4): bug direct-qpel-blocksize (rilevato automaticamente per fourcc/ver)
1024 (mpeg4): bug di edge padding (rilevato automaticamente per fourcc/ver) (guarda lavcopts) Per la miglior qualita' di decodifica utilizza lo stesso algoritmo di idct sia per la decodifica che per la codifica. Questo puo' pero' portare a qualche inaccuratezza. decodifica a scala di grigi (un poco piu' veloce che a colori).

-noslices
    Disabilita il disegno del video a striscie / bande alte 16 pixel, invece disegna il fotogramma completo tutto in una volta. Puo' essere piu' veloce o piu' lento, a seconda della scheda/cache. Ha effetto solo con i codec libmpeg2 e libavcodec.

-nosound
    Non riprodurre/codificare il suono.

-novideo
    Non riprodurre/codificare il video.

-oldpp <quality> (OBSOLETE)
    Usa il codice di post elaborazione di opendivx invece di quello interno. Soppiantato da -pp, le routine di post elaborazione interne offrono miglior qualita' e prestazioni. La gamma valida del valore di -oldpp varia da codec a codec, generalmente 0-6, dove 0=disabilitato 6=piu' lento/migliore.

-pp <quality> (vedi anche l' opzione -vf pp!)
    Regola il livello di post elaborazione della DLL. Questa opzione NON E' PIU' USABILE con il filtro di post elaborazione di MPlayer, ma solo con le DLL del DirectShow di Win32 che hanno delle routine di post elaborazione interne. La gamma valida del valore di -pp varia da codec a codec, generalmente 0-6, dove 0=disabilitato 6=piu' lento/migliore.

-pphelp (vedi anche l' opzione -vf pp)
    Visualizza un sommario sui filtri di post elaborazione disponibili ed il loro utilizzo.

-ssf <mode>
    Specifica i parametri di SwScaler. ESEMPIO: -vf scale -ssf lgb=3.0
Filtro di sfocatura gaussiana (luma) Filtro di sfocatura gaussiana (croma) Filtro di nitidezza (luma) Filtro di nitidezza (croma) spostamento orizzontale della crominanza spostamento verticale della crominanza

-stereo <mode>
    Seleziona il tipo di uscita stereo di MP2/MP3. Stereo Canale sinistro Canale destro

-sws <software scaler type> (vedi anche l' opzione -vf scale)
    Questa opzione seleziona la qualita' (e la velocita' di conseguenza) dello scalatore via software, con l' opzione -zoom. Puo' essere usato con X11 ed altri dispositivi di uscita che mancano di accelerazione hardware. I possibili valori sono:
    NOTA: Per -sws 2 e 7, la nitidezza (sharpness) puo' essere selezionata con il parametro (p) della scalatura di -vf scale ( 0 (morbido) - 100 (nitido)), per -sws 9 specifica invece la lunghezza del filtro (1 - 10). bilineare veloce (default) bilineare bicubica (buona qualita') sperimentale piu' vicino (cattiva qualita') area luminanza bicubica / crominanza bilineare gauss sincR lanczos spline bicubica

-vc <[-]codec1,[-]codec2,...[,]>
    Specifica una lista di priorita' dei codec video da usare, in accordo al loro nome in codecs.conf. Utilizza un '-' prima del nome del codec per ometterlo.
    NOTA: Vedi -vc help per una lista completa dei codec disponibili.
    Se la lista ha una ',' finale, verranno usati anche i codec non elencati. ESEMPIO: forza il codec DivX Win32/VFW DivX, non usa comunque gli altri. prova prima il codec divx4linux, poi passa agli altri Prova tutti i codec eccetto i codec DivX di Win32 prova il codec MPEG1/2 di libavcodec, poi libmpeg2, poi gli altri

-vfm <driver1,driver2,...>
    Specifica una lista di priorita' di codec video da usare in accordo al loro nome in codecs.conf. Passa ai valori di default se nessuno e' ok.
    NOTA: Se il supporto a libdivxdecore e' stato compilato allora odivx e divx4 adesso contengono lo stesso codec DivX4 ma API differenti per gestirli. Per le differenze tra loro e quando usare quale controlla la sezione che riguarda Divx4 nella documentazione.
    Vedi -vfm help per una lista completa dei driver disponibili. ESEMPIO: Prova i codec di libavcodec, poi DirectShow, poi VFW e poi passa agli altri se non ne ha ancora trovato uno buono. prova prima i codec XAnim

-x <x> (solo MPLAYER)
    Scala l' immagine alla larghezza x (se la scalatura software/hardware e' disponibile). Disabilita il calcolo dell' aspetto.

-xvidopts <option1:option2:...>
    Specifica dei parametri addizionali quando si decodifica con XviD. Attiva il filtro di post elaborazione interno di XviD:filtro di de-block della crominanza Vedi anche -vf pp che e' piu' veloce del filtro di XviD. Attiva il filtro di post elaborazione interno di XviD:filtro di de-block della luminanza Vedi anche -vf pp che e' piu' veloce del filtro di XviD. Attiva il metodo 2 di direct rendering. Disattiva il metodo 2 di direct rendering. Attiva il filtro interno di XviD per l' effetto della grana del film. Aggiunge una grana artificiale al video. Puo' migliorare la qualita' percepita anche se abbassa l' effettiva qualita'. Vedia anche -vf noise.

-xy <valore>
    Scala l' immagine di un fattore <valore>. Carica l' ampiezza al valore specificato e calcola l' altezza per mantenere un rapporto di aspetto corretto.

-y <y> (solo MPLAYER)
    Scala l' immagine all' altezza y (se la scalatura software/hardware e' disponibile). Disabilita il calcolo dell' aspetto.

-zoom
    Permette la scalatura via software quando disponibile. Puo' essere usato per forzare la scalatura con -vf scale.
    NOTA: -vf scale IGNORERA' le opzioni -x / -y / -xy / -fs / -aspect senza -zoom.

FILTRI VIDEO
I filtri video sono plugin che ti permettono di modificare il flusso video e le sue proprieta'. La sintassi e':

-vf <filtro1[=parametri],filtro2,...>
    Attiva una catena di filtri video.

-vop <...,filter3[=parameters],filter2,filter1> (OBSOLETE)
    Attiva una catena di filtri video, da applicare in ordine inverso Deprecato in favore di -vf.

I parametri sono opzionali e, se omessi, alcuni di essi verranno caricati a valori di default. Utilizza '-1' per mantenere il valore di default. Parametri w:h significano larghezza per altezza in pixel, x:y indicano invece la posizione partendo dall' estremo alto a sinistra dell' immagine piu' grande.
NOTA: Per avere una lista completa dei filtri disponibili, vedi -vf help. I filtri sono gestiti in liste. Ci sono alcuni comandi per gestire la lista dei filtri.

-vf-add <filtro1[,filtro2,...]>
    Aggiunge i filtri passati come argomenti alla fine della lista dei filtri.

-vf-pre <filter1[,filter2,...]>
    Aggiunge i filtri passati come argomenti all' inizio della lista dei filtri.

-vf-del <index1[,index2,...]>
    Cancella i filtri all' indice passato. I numeri di indice partono da 0, numeri negativi indirizzano la fine della lista (-1 e' l' ultimo).

-vf-clr
    Pulisce (inizializza) completamente la lista dei filtri.

Con filtri che lo supportano, puoi accedere ai parametri attraverso il loro nome.

-vf <filtro>=help
    Stampa i nomi dei parametri e la gamma dei valori validi per i parametri per un particolare filtro.

-vf <filtro=nome_parametro1=valore1[:nome_parametro2=valore:...]>
    Regola un parametro con nome al valore passato. Utilizza on e off oppure yes e no per attivare / disattivare i parametri di tipo flag.

I filtri disponibili sono:

crop[=w:h:x:y]
    Mantiene la parte dell' immagine specificata ed elimina il resto. Utile per eliminare le bande nere dei film widescreen. Dimensione dell' immagine da mantenere, per default e' la larghezza ed altezza dell' immagine originale. Posizione dell' immagine da mantenere, il default e' il centro.

cropdetect[=0-255]
    Calcola i parametri necessari per applicare automaticamente il filtro 'crop' e stampa i parametri raccomandati su stdout. La soglia puo' essere specificata, partendo da niente (0) a tutto (255). (default: 24)

rectangle[=w:h:x:y]
    Il plugin risponde alla direttiva 'change_rectangle' di input.conf che ha due parametri. larghezza ed altezza (default: -1, larghezza massima possibile dove i bordi sono ancora visibili). posizione dell' angolo in alto a sinistra (default: -1, il piu' in alto ed il piu' a sinistra possibile)

expand[=w:h:x:y:o]
    Espande (non scala) la risoluzione del film ai valori passati e posiziona i filmato originale non scalato alle coordinate x, y. Puo' essere usato per posizionare i sottotitoli/OSD nelle bande nere che si ottengono. Larghezza, altezza espansa (default: ampiezza ed altezza originali). Valori negativi per w e h sono trattati come scostamenti dalla dimensione originale. ESEMPIO:
expand=0:-50:0:0
    aggiunge un bordo di 50 pixel in basso all' immagine.
Posizione dell' immagine originale nell' immagine espansa (default: centro) generazione (stampa) sottotitoli/OSD 0: disabilitata (default)
1: abilitata

flip
    Ribalta l' immagine alto / basso (specchio sull' asse X) Vedi anche l' opzione -flip.

mirror
    Specchia l' immagine sull' asse Y.

rotate[=<0-7>]
    Ruota e ribalta (opzionalmente) l' immagine +/- 90 gradi. Con il parametro da 4-7 la rotazione viene eseguita solo se la geometria del film e' ritratto (portrait) e non paesaggio (landscape).

scale[=w:h[:interlaced[:chr_drop[:param[:presize]]]]]
    Scala l' immagine con la modalita' software (lento) ed esegue una conversione dello spazio colore YUV<->RGB (vedi anche l' opzione -sws). larghezza/altezza scalata (default: larghezza / altezza originali)
    NOTA: Se si usa -zoom ed i filtri (compreso libvo) sottostanti non sono capaci di effettuare la scalatura il valore di default diventa d_width/d_height (d_larghezza / d_altezza)!
     0: d_width/d_height scalati
    -1: larghezza/altezza originali
    -2: Calcola w/h utilizzando l' altra dimensione e il rapporto di aspetto prescalato.
    -3: Calcola w/h utilizzando l' altra dimensione e il rapporto di aspetto originale. Attiva la scalatura interlacciata. eliminazione chroma 0: utilizza tutte le linee di ingresso per la crominanza
    1: utilizza solo una linea ogni 2 linee di ingresso per la crominanza
    2: utilizza solo una linea ogni 4 linee di ingresso per la crominanza
    3: utilizza solo una linea ogni 8 linee di ingresso per la crominanza parametro di scalatura (dipende dal metodo di scalatura utilizzato) -sws 2 (bicubica): nitidezza (0 (morbido) - 100 (nitido))
    -sws 7 (gaussiano): nitidezza (0 (morbido) - 100 (nitido))
    -sws 9 (lanczos): lunghezza del filtro (1-10) Scala ad una dimensione predefinita. qntsc: 352x240 (quarto di schermo NTSC)
    qpal: 352x288 (quarto di schermo PAL)
    ntsc: 720x480 (NTSC standard)
    pal: 720x576 (PAL standard )
    sntsc: 640x480 (NTSC con pixel quadrati)
    spal: 768x576 (PAL con pixel quadrati)

dsize={aspect|w:h}
    Cambia la dimensione di visualizzazione / il rapporto di aspetto che si desidera avere in un punto a scelta nella catena dei filtri. l' aspetto puo' essere espresso come frazione (4/3) oppure come numero floating point (1.33). Alternativamente, puoi specificare esattamente le dimensioni di larghezza ed altezza di visualizzazione che desideri. Nota che questo filtro NON effettua nessuna scalatura, semplicemente influenza quello che viene eseguito successivamente dalla scalatura (software o hardware) quando si esegue un' auto scalatura per correggere il rapporto di aspetto del film.

yuy2
    Forza una conversione software YV12/I420 oppure da 422P a YUY2. Utile per schede video/driver con un supporto lento per YV12 ma veloce per YUY2.

yvu9
    Forza una conversione software dallo spazio colore YVU9 a YV12. Deprecato a favore della scalatura via software.

yuvcsp
    Limita (clamp) i valori dei colori YUV alla gamma CCIR 601 senza effettuare una reale conversione.

rgb2bgr[=swap]
    Conversione dello spazio colore RGB 24/32 <-> BGR 24/32. Effettua anche lo scambio R <-> B.

palette
    Conversione dello spazio colore RGB/BGR 8 -> 15/16/24/32bpp utilizzando una palette (tavolozza).

format[=fourcc]
    Limita lo spazio colore del filtro successivo senza effettuare nessuna conversione. Da utilizzare con il filtro di scalatura per ottenere un conversione effettiva. Per una lista dei formati disponibili vedi format=fmt=help. nome del formato tipo rgb15, bgr24, yv12, etc (default: yuy2)

noformat[=fourcc]
    Limita lo spazio colore del filtro successivo senza effettuare nessuna conversione. A differenza del filtro format, questo permette qualsiasi spazio coloro eccetto quello specificato. Per una lista dei formati disponibili vedi noformat=fmt=help. nome del formato tipo rgb15, bgr24, yv12, etc (default: yv12)

pp[=filtro1[:opzione1[:opzione2...]]/[-]filtro2...] (vedi anche -pphelp)
    Questa opzione abilita l' uso del filtro interno di post elaborazione di MPlayer e presenta un interfaccia dove puoi passare opzioni ai vari filtri. Per avere una lista dei filtri disponibili usa -pphelp. Nota che ogni sotto filtro deve essere separato dal carattere /.
    Ogni filtro opera per default sulla crominanza ('c').
    Viene accettato il prefisso '-' per disabilitare un opzione.
    Un ':' seguito da una lettera puo' essere aggiunto ad una opzione per modificarne il funzionamento: disabilita automaticamente il filtro se la CPU e' troppo lenta. Effettua il filtraggio anche sulla crominanza. Non effettuare il filtraggio sulla crominanza (solo filtraggio sulla luminanza).
    ESEMPIO:
de-block orizzontale e verticale, eliminazione artefatti circolari (deringing) e contrasto/luminosita' automatica. de-block orizzontale e verticale, eliminazione artefatti circolari (deringing), contrasto/luminosita' automatica e deinterlacciatore con miscelatura lineare. filtro di default senza correzione di luminosita'/contrasto Abilita i filtri di default & il denoise (eliminazione rumore) temporale. De-block orizzontale solo della luminanza ed attiva / disattiva il de-block verticale automaticamente a seconda del tempo di CPU disponibile.

spp[=quality[:qp[:mode]]]
    filtro di post elaborazione semplice 0-6 (default: 3) forza il parametro di quantizzazione (default: 0, usa qp del video) 0: controllo della soglia rigido (default)
    1: controllo della soglia meno rigido (miglior eliminazione degli artefatti circolari ma immagine piu' sfuocata)

qp=equation
    cambia il filtro del parametro di quantizzazione qualche equazione tipo "2+2*sin(PI*qp)"

test
    Genera varie figure di test.

rgbtest
    Genera una figura di test RGB, utile per determinare problemi del tipo RGB rispetto a BGR. Dovresti vedere delle striscie rosse, verdi e blu dall' alto al basso.

lavc[=quality:fps]
    Conversione software veloce da YV12 a MPEG1 da usare con DVB/DXR3. Veloce e di migliore qualita' che -vf fame. 1-31: qscale (scala di quantizzazione) fissa
    32-: bitrate fisso in kBit forza il numero di fps (frame per second, fotogrammi al secondo) di uscita (valore float) (default: 0, trovato automaticamente basandosi sull' altezza)

fame
    Conversione software veloce da YV12 a MPEG1 fatta con libfame da usare con DVB/DXR3.

dvbscale[=aspect]
    Attiva una scalatura ottimale per le schede DVB, riscalando l' asse X via hardware e ricalcolando la scalatura sull' asse Y in software per mantenere l' aspetto. E' utile solo insieme a expand+scale (-vf dvbscale,scale=-1:0,expand=-1:576:-1:-1:1,lavc). controlla il rapporto di aspetto, calcolato come DVB_HEIGHT*ASPECTRATIO (default: 576*4/3=768), caricalo a 576*(16/9)=1024 per una TV 16:9.

noise[=luma[u][t|a][h][p]:chroma[u][t|a][h][p]]
    Aggiunge rumore. rumore luminanza rumore crominanza rumore uniforme (altrimenti gaussiano) rumore temporale (l' aspetto del rumore cambia tra i fotogrammi) rumore temporale mediato (piu' 'morbido', ma molto piu' lento) alta qualita' (appare leggermente migliore, leggermente piu' lento) miscela rumore casuale con uno con un aspetto (semi)regolare

denoise3d[=luma:chroma:time]
    Questo filtro cerca di ridurre il rumore dell' immagine per produrre immagini piu' morbide e rendendo le immagini ferme realmente ferme (questo dovrebbe aumentare la compressibilita'). Possono venir passati da 0 a 3 parametri. Se un parametro viene omesso allora viene calcolato / caricato un valore ragionevole. intensita' spaziale della luminanza (default = 4) intensita' spaziale della crominanza (default = 3) intensita' temporale (default = 6)

hqdn3d[=luma:chroma:time]
    Versione ad alta precisione/qualita' del filtro denoise3d. Parametri ed uso sono gli stessi.

eq[=bright:cont]
    Equalizzatore software con controlli interattivi proprio come l' equalizzatore hardware, per schede/driver che non supportano i controlli di luminosita' e contrasto in hardware. Puo' anche essere utile con MEncoder, sia per sistemare filmati catturati in modo non proprio corretto o per ridurre leggermente il contrasto per mascherare artefatti e provare ad ottenere bitrate minori. I valori iniziali nella gamma -100-100 possono essere passati sulla linea di comando.

eq2[=gamma:contrast:brightness:saturation:rg:gg:bg:weight]
    Equalizzatore software alternativo che utilizza una tabella di lookup (molto lento) che permette anche la correzione del gamma oltre ai semplici aggiustamento di luminosita' e contrasto. Nota vhe viene utilizzato lo stesso codice ottimizzato per MMX come -vf eq se tutti i valori di gamma sono 1.0. I parametri sono passati come valori in floating point. I parametri rg, gg, bg sono i valori di gamma indipendenti per i componenti Rosso, Verde (Green) e Blu. Il parametro weight (peso) puo' essere usato per ridurre gli effetti di un valore molto alto di gamma su aree dell' immagine molto luminose, e.g. cercando di evitare che diventino super amplificate e diventino semplicemente bianco. Un valore di 0.0 elimina del tutto la correzione gamma mentre 1.0 la lascia alla sua efficacia completa. I default sono gamma=1.0, contrasto=1.0, luminosita'(brightness)=0.0, saturazione=1.0, weight=1.0. I valori validi sono 0.1-10 per gamma, -2-2 per contrasto (valori negativi creano un' immagine negativa), -1-1 per la luminosita', 0-3 per saturatione e 0-1 per weight.

hue[=hue:saturation]
    Default sono tonalita' (hue)=0.0 e saturazione=1.0. La gamma dei valori e' di -180-180 per la tonalita', -2-2 per la saturazione (valori negativi faranno ottenere una valore di chroma negativo).

halfpack[=f]
    Converte dal formato YUV 4:2:0 ad un formato a mezza altezza 4:2:2, riducendo la luminanza ma mantenendo tutti i campioni di crominanza. Utile per mandare dati a visualizzatori a bassa risoluzione quando la scaltura hardware in riduzione e' di bassa qualita' oppure non e' disponibile. Puo' anche essere usato come un deinterlacciatore primitivo che agisce solo sulla luminanza ed utilizza molto poco la CPU. Per default halfpack media le coppie di linee quando effettua la scalatura verso il basso. Il parametro opzionale f puo' essere 0 per usare solo le linee pari oppure 1 per usare solo quelle dispari. Qualsiasi altro valore per f attiva la gestione di default (media delle due linee).

ilpack[=mode]
    Quando il video interlacciato e' memorizzato nel formato YUV 4:2:0, l' interlacciamento della crominanza non e' allineato in modo completamente corretto a causa del subcampionamento verticale del canale della crominanza. Questo filtro inpacchetta i dati in formato planare 4:2:0 nel formato YUY2 (4:2:2:) con le linee di crominanza nella loro giusta posizione, in modo che in qualsiasi linea i dati di luminanza e crominanza vengano dallo stesso field. L' argomento opzionale seleziona il modo di campionamento. Per default viene usata la modalita' ad interpolazione lineare (modo 1). Il modo 0 utilizza il campionamento con il pixel piu' vicino, che e' piu' veloce ma non corretto.

decimate[=max:hi:lo:frac]
    Elimina fotogrammi che non sono molto diversi dal precedente per poter ridurre la velocita' in fotogrammi (framerate). L' argomento max (se positivo) indica il numero massimo di fotogrammi che possono venir eliminati oppure, se negativo, l' intervallo minimo tra frame eliminati. Un fotogramma e' candidato all' eliminazione se nessun blocco di 8x8 pixel differisce per piu' di una soglia di hi e se non piu' di frac parti (1 significa l' immagine completa) differiscono per piu' di una soglia lo. I valori di hi e lo sono per dati per un blocco di 8x8 pixel e rappresentano valori di differenza di pixel, percio' una soglia di 64 corrisponde ad 1 unita' di differenza per ogni pixel, oppure lo stesso valore distribuito in maniera diversa nel blocco (2 difference of 32, 4 of 16, ...) L' utilizzo principale di questo filtro e' per codifiche a bitrate veramente molto bassi (ad esempio per effettuare uno streaming su un modem) ma puo' essere in teoria usato per mettere a posto filmati a cui e' stata applicato un processo inverso di telecine in modo errato.

dint[=sense:level]
    Trova ed elimina il primo fotogramma interlacciato di un flusso video. I parametri possono andare da 0.0 a 1.0 - il primo (default 0.1) e' la differenza relativa di due pixel vicini, il secondo (default 0.15) e' quanta parte dell' immagine deve essere rilevata come interlacciata per eliminare il fotogramma.

lavcdeint
    Utilizza il filtro di deinterlacciamento di libavcodec.

kerndeint[=thresh[:map[:order[:sharp[:twoway]]]]]
    Deinterlacciatore adattivo di Donald Graft. Deinterlaccia parti del filmato se una soglia configurabile viene superata. Soglia (default 10). Colora i pixel che eccedono la soglia in bianco (default: 0). Inverte i field se 1 (default: 0) Abilita una nitidezza (sharpening) addizionale (default: 0). Abilita lo sharpening a due vie (default: 0).

unsharp=l|cWxH:amount[:l|cWxH:amount]
    Maschera di eliminazione dei particolari (Unsharp) / sfocatura gaussiana. Applica l' effetto sul componente luma. Applica l' effetto sul componente chroma. larghezza ed altezza della matrice, dimensioni dispari in entrambe le direzioni. (min = 3x3, max = 13x11 o 11x13, normalmente qualcosa tra 3x3 e 7x7) Quantita' relativa di ?sharpness?/blur da aggiungere all' immagine (una gamma valida dovrebbe essere -1.5-1.5). <0: blur
    >0: sharpen

swapuv
    Scambia i piani U & V.

il=[d|i][s][:[d|i][s]]
    (de)interleave delle linee. Lo scopo di questo filtro e' l' aggiunta della possibilita' di processare immagini interlacciate sul singolo field senza deinterllacciarle. Puoi filtrare il tuo DVD interlacciato e visualizzarlo sulla TV senza rovinare l' interlacciamento. Mentre il deinterlacciamento (con il filtro di post elaborazione) rimuove l' interlacciamento in modo permanente (attraverso un ammorbimento, una media, etc) il deinterleave divide i fotogrammi in due filed (chiamati mezze immagini), cosi' li puoi processare (filtrare) in modo indipendente e poi effettuare il re-interleave per riottenere l' immagine interlacciata. de-interleave (piazza un field sopra all' altro) re-interleave scambia i field (scambia le linee pari e dispari)

fil=[i|d]
    (de)interleave veloce delle linee. Questo filtro e' molto simile al filtro il ma molto piu' veloce, il grosso svantaggio e che non sempre funziona. Specialmente se combinato con altri filtri puo' produrre immagini massacrate in modo casuale percio' sii felice se funziona ma non lamentarti se per caso non funziona con la tua combinazione di filtri. De-interleave dei field, piazzandoli fianco a fianco. Re-Interleave di nuovo dei campi (annullando l' effetto di fil=d).

field[=n]
    Estrae un singolo field da un immagine interlacciata utilizzando l' aritmetica delle striscie (stride) per evitare di perdere tempo di CPU. L' argomento opzionale n specifica se estrarre il field pari o dispari (a seconda che n sia pari o dispari).

detc[=var1=value2:var2=value2:...]
    Prova a invertire il processo di 'telecine' per ottenere un filmato Questo filtro e' ancora sperimentale ma sembra usabile. Per cortesia tieni presente che non c'e' assolutamente nessun utilizzo di questo filtro se non vedi effetti di interlacciamento mentre riproduci il filmato. I parametri successivi (vedi la sintassi sotto) possono essere usati per controllare il comportamento del filtro: Seleziona la modalita' di eliminazione dei fotogrammi. 0 (default) indica di non eliminare fotogrammi per mantenere un framerate di uscita fisso. 1 indica di eliminare un fotogramma quando non ci sono state eliminazioni o miscelazioni dovute al telecine negli ultimi 5 fotogrammi. 2 indica di mantenere sempre un rapporto 5:4 tra il frame rate di ingresso ed uscita. NOTA: Utilizza il modo 1 con MEncoder. Modo di analisi. I valori disponibili sono 0 (modello fisso con numero di fotogramma iniziale specificato da fr=#) e 1 (ricerca aggressiva del modello di telecine) Il default e' 1. Indica il numero iniziale di fotogramma nella sequenza. 02 sono i tre fotogrammi progressivi 'chiari', 3 e 4 sono i due fotogrammi interlacciati. Il default, -1, indica 'non nella sequenza di telecine'. Il numero specifica qui e' il tipo del fotogramma immaginario che abbiamo prima che inizi il film. Valori di soglia da usare in certe modalita'.

ivtc[=1]
    Filtro sperimentale di inversione del telecine 'stateless'. Piuttosto che provare a bloccarsi su un modello come fa il filtro detc, ivtc effettua la sua decisione in maniera indipendente per ogni fotogramma. Questo dara' risultati molto migliori nel caso di materiale che e' stato sottoposto a modifiche pesanti dopo che e' stato applicato il telecine, ma non e' cosi' bravo con materiale pieno di rumore, ad esempio filmati catturati dalla TV. Il parametro opzionale (ivtc=1) corrisponde all' opzione dr=1 del filtro detc e dovrebbe essere usato con MEncoder ma non con MPlayer. Cosi' come con detc, quando lo usi con MEncoder devi specificare il corretto framerate di uscita (-ofps 23,9876).

pullup
    Filtro di inversione del telecine di terza generazione, capace di gestire materiale misto con telecine, progressivo a 24 fotogrammi al secondo e progressivo a 30 fps. Il filtro pullup e' progettato per essere molto piu' robusto dei filtri detc e ivtc, ma e' ancora sotto sviluppo. Nessuna opzione di configurazione e' ancora disponibile. Visto che il motore che effettua l' inversione del processo di telecine e' progettato per avvantaggiarsi dalle nuove caratteristiche in MPlayer G2, l' implementazione corrente in G1 e' intesa per servire principalmente come banco di prova. NOTA: Attualmente il filtro pullup manca della possibilita' di adattarsi al framerate di uscita, percio' durante sequenze progressive a 30 fps oppure durante sequenze fisse verranno generate piu' di 24 fps, percio' potrai averi problemi se lo usi con l' opzione -ofps 23.976 di MEncoder.

filmdint[=options]
    Filtro di inversione del telecine, simile al filtro pullup sopra. E' progettato per gestire qualsiasi modello di pulldown, incluso una combinazione di soft ed hard telecine ed un limitato supporto per filmati che sono stati rallentati o velocizzati dal loro framerate originale per la TV. Solo il piano luma viene usato per trovare le divisioni dei frame. Se un campo non ha corrispondenza, viene interlacciato con una semplice approssimazione lineare. Se il filmato e' in formato MPEG-2 questo deve essere il primo filtro per poter accedere al flag del field attivato dal decoder MPEG-2. A seconda del filmato che volete processare, puoi tranquillamente ignorare questo consiglio, almeno finche' non vedi una lunga serie di avvertimenti "Bottom-first field". Senza opzioni effettua una normale inversione del processo di telecine e dovrebbe essere usato con le opzioni di MEncoder -fps 29.87 e ofps 23.976. Quando questo filtro e' usato con MPlayer generera' un framerate diseguale durante la riproduzione, ma e' generalmente meglio che usare pp=lb oppure nessun deinterlacciamento. Opzioni multiple possono essere specificate separate da /. Uguale al filtro crop, ma piu' veloce e lavora su filmati con combinazioni di hard e soft telecine e anche quando Y non e' un multiplo di 4. Se x o y dovessero richiedere il ritaglio di pixel frazionali dai piani della crominanza, l' area di crop viene estesa. Questo generalmente indica che x e y devono essere pari. Per ogni ifps fotogramma di ingresso il filtro generera' ofps fotogrammi di uscita. Il rapporto di ipfs/ofps deve corrispondere al rapporto -fps/-ofps. Puo' essere usato per filtrare filmati che sono trasmessi alla TV ad un framerate differente da quello originale. Se n e' diverso da 0 il piano croma e' copiato cosi com' e'. E' utile per materiale con campionamento YV12, dove si ignora one dei field del croma. Nel caso di x86, se n-1 utilizza funzioni ottimizzate per MMX2, se n=2 usa funzioni ottimizzate per 3DNow!, altrimenti usa C semplice. Se questa opzione non e' specificata l' utilizzo di MMX2 o 3DNow! e' automatico, utilizza questa opzione per modificare la ricerca automatica. Valori piu' alti di n velocizzano il filtro a scapito dell' accuratezza. Il valore di default e' n=3. Se n e' dispari, un fotogramma immediatamente successivo ad un fotogramma marcato con il flag mpeg REPEAT_FIRST_FIELD viene considerato come progressivo , percio' il filtro non perdera' nessun tempo su materiale MPEG-2 con soft-telecine. Questo e' l' unico effetto del flag se MMX2 o 3DNow! e' disponibile. Senza MMX2 e 3DNow!, se n=0 o 1, lo stesso calcolo viene usato come con n=2 o 3. Se n=2 o 3, il numero di livelli di luma usati per trovare i cambi di fotogramma e' ridotto da 256 a 128, che permette di ottenere un filtro piu' rapido senza perdere troppa precisione. Se n=4 o 5 un sistema piu' veloce ma meno accurato viene usato per trovare i cambi di fotogramma ma diventa piu' facile riconoscere in modo errato dettagli verticali come interlacciamento. Se n e' non zero, stampa la metrica dettagliata per ogni fotogramma. Utile per il debug. Soglia di de-interlacciamento. Usato nel de-interlacciamento di fotogrammi non riconosciuti. Valori piu' alti significano meno deinterlacciamento, usa n=256 per disabilitare completamente il deinterlacciamento. Il default e' n=8. Soglia per comparare i field superiore ed inferiore. Il default e' 128. Soglia per determinare il cambio temporale di un field. Il default e' 128. Soglia della somma delle differenze assolute, il default e' 64.

softpulldown
    Questo filtro funziona correttamente solo con MEncoder e agisce sul flag MPEG2 usato per effettuare il pulldown soft 3:2 (noto anche come soft telecine). Se vuoi usare il filtro ivtc oppure detc su filmati che sono parzialmente codificati in modalita' soft telecine inserendo questo filtro prima li rendi molto piu' affidabili. Attualmente solo libmpeg2 esporta il flag necessario. Se usato su materiale che non setta il flag il filtro non esegue nulla.

divtc[=opzioni]
    Telecine inversa per video deinterlacciati. Se il video a cui e' stato applicato il processo di telecine (3:2-pulldown) ha perso uno dei field oppure e' deinterllaciato utilizzando un metodo che preserva un field e interpola l' altro, il risultato e' un video 'saltellante' che ha un fotogramma ogni quattro duplicato. Questo filtro e' studiato per trovare e scartare questa duplicazione e ripristinare la velocita' originale del film. Quando si utilizza questo filtro devi specificare un valore di -ofps che e' 4/5 della velocita' (in fotogrammi al secondo, fps) del file di ingresso (23.976 se l' ingresso e' a 29.97 fps). Le opzioni sono: Uilizza due passi. Questo produce i mugliori risultati. Il passo 1 analizza il video e scrive i risultati in un file di log. Il passo 2 quindi legge questo file di log e ne utilizza le informazioni per fare effettivamente il lavoro. Nota che questi passi NON corrispondono ai passi 1 e 2 del processo di codifica. Per poter utilizzare la modilita' a due passi di divtc con la codifica a due passi devi eseguire tre passi in totale: prima il passo 1 di divtc e il passo 1 di codifica, poi il passo 2 di divtc ed il passo 1 di codifica ed infine il passo 2 di divtc ed il passo 2 di codifica. Imposta il nome del file di log per la modalita' a due passi (default: "framediff.log"). Imposta il valore minimo della forza che deve avere il modello di telecine per permettere al filtro di riconoscerlo (default: 0.5) Viene utilizzato pee evitare di riconoscere falsi modelli nella parti di video che sono o molto scure o senza molti movimenti. Imposta il numero di fotogrammi passati da controllare quando si cerca il modello (default: 30). Finestre piu' lunghe migliorano l' affidabilita' della ricerca del modello mentre finestre piu' corte migliorano il tempo di reazione nel caso di cambiamenti della fase del telecine. Questo influisce solo sulla modalita' ad un passo. La modalita' a due passi attualmente utilizza una finestra fissa che si estende sia nel futuro che nel passato. Imposta il valore iniziale della fase del telecine (default: 0). La modalita' a due passi puo' vedere il futuro ed e' percio' capace di usare il valore corretto di fase dall' inizio, mentre la modalita' ad un passo puo' solo provare ad indovinare. Viene utilizzata la fase corretta quando viene trovata, questa opzione puo' essere usata per correggere il possibile saltellamento all' inizio. Anche il primo passo della modalita' a due passi utilizza questo valore, cosi' se salvi i dati dal primo passo ottieni dei risultati costanti di fase. Imposta la soglia per il deghosting (eliminazione effetto fantasma) (0-255 per modalita' ad un passo, -255-255 per la modalita' a due passi, default 0). Se diversa da zero si abilita' la modalita' deghost. Viene utilizzata per quei video che sono stati deinterlacciati miscelando i due field insieme invece di eliminarne solo uno dei due. L' applicazione dell' algoritmo di deghost amplifica qualsiasi artefatto dovuto alla compressione nel fotogramma miscelato ed il valore del parametro viene usato come una soglia che esclude dall' operazione quei punti che differiscono dal fotogramma precedente meno del valore specificato. Se si utilizza la modalita' a due passi il valore negativo si puo' usare per fare analizzare al filtro il video completo all' inizio del passo 2 per determinare se necessita o meno dell' applicazione del deghost e poi selezionare zero oppure il valore assoluto del parametro. Specifica questa opzione nel passo 2, non fa nessuna differenza nel passo 1.

phase=[t|b|p|a|u|T|B|A|U][:v]
    Ritarda il video interlacciato del tempo di un field in modo da cambiare l' ordine dei field stessi. L' utilizzo previsto e' per sistemare filmati PAL che sono stati catturati con l' ordine dei field opposto a quello del trasferimento da film a video. Le opzioni sono: Cattura i field in ordine top-first (prima il field superiore), trasferisce bottom-first (prima il field inferiore). Il filtro ritardera' il field inferiore. Cattura i field in ordine bottom-first, trasferisce top-first. Il filtro ritardera' il field superiore. Cattura e trasferisce con lo stesso ordine dei field. Questa modalita' esiste per permettere alla documentazione delle altre opzioni di potervisi riferire ma se, eventualmente, la selezioni il filtro non effettuera' assolutamente nulla ;-) L' ordine di cattura dei field e' determinato automaticamente dal flag del field, trasferisce l' opposto. Il filtro seleziona tra le modalita' t e b fotogramma per fotogramma utilizzando il flag del field. Se non e' presente nessuna informazione sul field, si comporta come l' opzione u. Cattura sconosciuta o variabile, trasferisce l' opposto. Il filtro seleziona tra le modalita' t e b fotogramma per fotogramma analizzando le immagini e selezionando l' alternativa che produce il miglior riscontro tra i field. Cattura top-first, trasferisce sconosciuto o variabile. Il filtro seleziona la modalita' t o p utilizzando l' analisi dell' immagine. Cattura bottom-first, trasferisce sconosciuto o variabile. Il filtro seleziona la modalita' b o p utilizzando l' analisi dell' immagine. Cattura determinata dal flag del field, trasferisce sconosciuto o variabile. Il filtro seleziona tra le modalita' t, b e p utilizzando il flag del field e l' analisi dell' immagine. Se non abbiamo informazioni sui field allora questa modalita' e' uguale alla U. Questa e' la modalita' di default. Sia cattura che trasferimento sconosciuto o variabile. Il filtro seleziona tra la modalita' t, b, e p utilizzando solo l' analisi dell' immagine. Operazioni verbose. Stampa il modo selezionato per ogni fotogramma e la differenza media quadratica tra i field per le alternative delle modalita' t, b, e p.

telecine[=start]
    Applica il processo di 'telecine' 3:2 per incrementare il framerate del 20%. Molto probabilmente non funzionera' correttamente con MPlayer ma puo' essere usato con 'mencoder -fps 29.97 -ofps 29.97 -vf telecine'. Entrambe le opzioni fps sono essenziali! (il sincronismo A/V sara' errato se sono sbagliati). Il parametro opzionale start dice al filtro dove deve cominciare nel modello di telecine (0-3).

tinterlace[=mode]
    Interlacciamento temporale dei field - unisce coppie di fotogrammi in un singolo fotogramma, dimezzando il framerate. I fotogrammi pari sono spostati nel field superiore, quelli dispari nel field inferiore. Questo puo' essere usato per invertire completamente l' effetto del filtro tfields (in modalita' 0). I modi disponibili sono: fotogrammi dispari nel field superiore, pari nell' inferiore, generando un fotogramma ad altezza completa a meta' del framerate. lascia passare solo i fotogrammi dispari, i fotogrammi pari sono eliminati, altezza non cambiata. lascia passare solo i fotogrammi pari, i fotogrammi dispari sono eliminati, altezza non cambiata. espande ogni fotogramma ad altezza completa, ma riempie le linee alternate con il colore nero, framerate non cambiato.

tfields[=mode]
    Separazione temporale dei field - divide i field in fotogrammi, raddoppiando il framerate di uscita. Come il filtro telecine, tfield lavorera' correttamente solo con MEncoder, e solo se entrambe le opzioni -fps e -ofps sono caricati al valore desiderato (doppio) del framerate. I modi disponibili sono; lascia i field invariati (questo saltera' / lampeggera') interpola le linee mancanti (l' algoritmo usato potrebbe non essere cosi' buono). trasla i field di 1/4 di pixel con interpolazione lineare (niente salti) trasla i field di 1/4 di pixel con un filtro 4tap (qualita' piu' alta)

boxblur=radius:power[:radius:power]
    sfocatura rettangolare. dimensione del filtro Quante volte il filtro deve essere applicato.

sab=rad:pf:colorDiff[:rad:pf:colorDiff]
    sfocatura adattiva alla forma forza del filtro di sfocatura (~0.1-4.0) (piu' lento se piu' grande) forze del prefiltro (~0.1-2.0) Quanto i pixel possono essere differenti per essere considerati. (~0.1-100.0)

smartblur=rad:strength:thresh[:rad:strength:thresh]
    sfocatura intelligente forza del filtro di sfocatura (~0.1-5.0) (piu' lento se piu' grande) sfocatura (0.0-1.0) oppure nitidezza (-1.0-0.0) filtra tutto (0), filtra aree uniformi (0-30) oppure filtra gli spigoli (-30-0)

perspective=x0:y0:x1:y1:x2:y2:x3:y3:t
    correzione prospettica coordinate degli angoli superiore sinistro, superiore destro, inferiore destro, inferiore sinistro campionamento lineare (0) o cubico (1)

2xsai
    Usa l' algoritmo si scalatura ed interpolazione 2x per la scalatura e per sfumare le immagini.

1bpp
    conversione da mappa di bit a 1bpp a YUV/BGR 8/15/16/32

down3dright[=lines]
    Riposiziona e ridimensiona immagini stereoscopiche. Estrae entrambi i field stereo e li posiziona uno fianco all' altro, ridimensionandoli per mantenere l' aspetto originale del filmato. numero di linee da selezionare dal mezzo dell' immagine (default: 12)

bmovl=hidden:opaque:<fifo>
    Legge delle bitmap da una FIFO e le visualizza in una finestra setta il valore di default del flaf 'hidden' (booleano) flag per cambiare dalla modalita' alphablended (trasparente) ed opaca (veloce). percorso/file della FIFO (la named pipe che connette mplayer -vf bmovl all' applicazione che lo controlla)
    i comandi FIFO sono:
seguita da width*height*4 Bytes di dati RGBA32 grezzi. seguita da width*height*4 Bytes di dati ABGR32 grezzi. seguita da width*height*3 Bytes di dati RGB32 grezzi. seguita da width*height*3 Bytes di dati BGR32 grezzi. cambia il valore di alpha per l' area specificata. pulisce l' area disabilita tutta la gestione della trasparenza alpha Manda "ALPHA 0 0 0 0 0" per riabilitarla. nasconde la bitmap visualizza la bitmap
    Gli argomenti sono:
dimensione dell' immagine / area posizione X/Y iniziale dove posizionare l' immagine Carica il valore di differenza alpha. Se lo carichi al valore -255 puoi poi mandare una sequenza di comandi ALPHA per caricare l' area a -225, -200, -175 etc per un bel effetto di fade-in! :) 0: come l' originale
255: rende tutto opaco
-255: rende tutto trasparente pulisce il framebuffer prima di copiarlo sul video. 0: L' immagine verra' semplicemente copiato sopra la vecchia, percio' non devi mandare 1,8MB di dati RGBA32 ogni volta che una piccola parte schermo e' da aggiornare.
1: cancella

framestep=I|[i]step
    Visualizza solo uno ogni step fotogrammi oppure ogni fotogramma Intra (key). Se chiami il filtro con I (maiuscolo) come parametro, allora SOLO i fotogrammi chiave (keyframe) vengono visualizzati. Per i DVD questo generalmente significa uno ogni 15/12 fotogrammi (IBBPBBPBBPBBPBB), per i file AVI questo significa ogni cambio di scena oppure ogni valore di keyint (vedi -lavcopts keyint=valore se utilizza MEncoder per codificare i video). Quando si trova un keyframe viene stampata la stringa 'I!' seguita da un carattere di newline, lasciando la lineea corrente di uscita di MPlayer/MEncoder sullo schermo, utile in quanto contiene il tempo (in secondi) e il numero di fotogramma corrispondente al keyframe (puoi usare questa informazione per dividere il file AVI in modo corretto). Se chiami il filtro con un parametro numerico 'step' allora solo un fotogramma ogni 'step' viene visualizzato. Se metti il carattere 'i' (minuscolo) prima del numero allora una 'I!' viene stampata (come con il parametro I). Se passi solo il parametro i allora non viene fatto niente ai fotogrammi, solo la I! viene stampata.

tile=xtile:ytile:output:start:delta
    Combina una serie di immagini in una immagine singola, piu' grande. Se ometti un parametro oppure utilizzi un valore minore di 0 allora viene usato il valore di default. Puo anche fermarti quando sei OK (... -vf tile=10:5 ...) E' probabilmente una buona idea mettere il filtro scale prima del filtro tile :-)
    I parametri sono: numero di immagini sull' asse x (default: 5) numero di immagini sull' asse y (default: 5) Visualizza l' immagine composta ogni 'output' fotogrammi di ingresso, dove 'output' deve essere un numero minore di xtile * ytile. Le immagini mancante sono lasciate vuote. Puoi, ad esempio, scrivere un immagine da 8 x 7 immagini ogni 50 fotogrammi per avere una immagine ogni 2 secondi @ 25 fps. pixel all' inizio (x/y) (default: 2) pixel tra 2 immagini, (x/y) (default: 4)

delogo[=x:y:w:h:t]
    Elimina il logo di una stazione TV con una semplice interpolazione dei pixel circostanti. Metti semplicemente un rettangolo che copre il logo e guardarlo scomparire (e ogni tanto qualcosa di piu' brutto appare - dipende). Posizione dell' angolo alto a sinistra del logo. Larghezza ed altezza del rettangolo da pulire. Larghezza del bordo 'fuzzy' del rettangolo (aggiunto a w e h). Quando e' -1 un rettangolo verde viene disegnato sullo schermo per riuscire a trovare piu' facilmente i parametri x,y,w,h giusti.

zrmjpeg[=options]
    Encoder software da YV12 a MJPEG da usare con il dispositivo di uscita zr2. Queste opzioni selezionano le massime larghezze ed altezze gestibili dalla scheda (La gestione dei filtri di MPlayer attualmente non riesce ad ottenerli da solo). Utilizza queste opzioni per selezionare maxwidth e maxheight automaticamente ai valori conosciuti per la combinazione scheda/modo. Per esempio le opzioni valide sono dc10-PAL e buz-NTSC (default: dc10+PAL) Seleziona la codifica a colori oppure in bianco e nero. La codifica in bianco e nero e' piu' veloce. Colore e' il default. Decimazione orizzontale: 1, 2 o 4. Decimazione verticale: 1, 2 or 4. Seleziona la qualita' della compressione JPEG, 1 migliore, 20 molto brutta. Per default, la decimazione viene eseguita se l' hardware Zoran puo' riscalare il file MJPEG risultante alla dimensione originale. L' opzione fd indica al filtro di eseguire sempre la decimazione richiesta (brutto).

DISPOSITIVI DI USCITA VIDEO (SOLO MPLAYER)
I dispositivi (driver) di uscita video sono interfaccie alle differenti possibilita' di uscita. La sintassi e':

-vo <driver1[:option],driver2,...[,]>
    Specifica una lista di priorita' dei driver di uscita video da usare.

Se la lista ha una ',' finale allora si proveranno anche i driver non indicati nella linea di comando. Le sub-opzioni sono opzionali e possono generalmente essere omesse.
NOTA: Vedi -vo help per una lista dei driver compilati. ESEMPIO: Prova il driver X11 Matrox, poi il driver Xv, poi gli altri.
Usa il driver DirectX con le accelerazioni disabilitate.
I driver di uscita disponibili sono:

xv (solo X11)
    Use le estensioni XVideo di XFree86 4.x per abilitare la riproduzione con accelerazione hardware. Se non puoi usare un driver specifico per il tuo hardware, questa e' probabilmente l' opzione migliore. Seleziona una specifica porta XVideo.

x11 (solo X11)
    Driver di uscita con memoria condivisa senza accelerazione hardware che funziona ogni volta che X11 e' presente.

xover (solo X11)
    Aggiunge il supporto X11 a tutti i driver di uscita video basati sull' overlay. Attualmente e' supportato solo da tdfx_vid.

xvmc (solo X11)
    Questo driver di uscita video impiega le estensioni XvMC (X Video Motion Compensation) di XFree86 4.x.

dga (solo X11)
    Visualizza il video utilizzando l' estensione Direct Graphics Access di XFree86. Considerato obsoleto.

sdl Driver di uscita molto indipendente dalla piattaforma basato sulla libreria SDL (Simple Directmedia Layer).

vidix
    VIDIX (VIDeo Interface for *niX) e' una interfaccia verso le caratteristiche di accelerazione delle varie schede grafiche. Uscita video molto veloce su schede che lo supportano.

xvidix (solo X11)
    VIDIX che gira sotto X11.

cvidix
    VIDIX che gira in una console.

winvidix (solo Windows)
    Versione Windows del driver VIDIX.

directx (solo Windows)
    Driver di uscita che utilizza l' interfaccia DirectX. Disabilita l' accelerazione hardware. Prova questa opzione se hai problemi di visualizzazione.

quartz (solo Mac OS X)
    Driver di uscita per Quartz su Mac OS X.

fbdev (solo Linux)
    Utilizza il framebuffer del kernel per l' uscita video.

fbdev2 (solo Linux)
    Utilizza il framebuffer del kernel per l' uscita video, implementazione alternativa.

vesa
    Driver di uscita molto generale che dovrebbe funzionare su qualsiasi scheda compatibile con VESA VBE 2.0. Attiva il modo DGA. Disattiva il modo DGA. FIXME: documentalo! FIXME: documentalo!

svga
    Visualizza il video usando la libreria SVGA.

gl  Driver di uscita OpenGL. Versione molto semplive, non supporta OSD e la dimensione del video deve essere minore della dimensione massima delle texture della vostra implementazione OpenGL. Studiato per funzionare anche con l' implementazione OpenGl piu' semplice. Abilita il supporto per maggiori formati colore (RGB e BGR). Necessita di OpenGL con versione >= 1.2, NON FUNZIONA ancora correttamente. Numero di linee copiate sulla texture in un blocco unico (default: 4). 0 per l' immagine intera.

gl2 Driver di uscita OpenGL, seconda generazione. Supporta OSD e video piu' grande della dimensione massima della texture.

null
    Non produce nessuna uscita video, utile per benchmarking (prove di velocita').

aa  Driver di uscita ASCII art che funziona su una console di testo.

caca
    Driver di uscita per ASCII Art a Colori (Colour AsCii Art) che funziona su una console di testo.

bl  Riproduzione video utilizzando il protocollo UDP Blinkenlights. Questo driver e' altamente hardware specifico.

ggi Driver di uscita per il sistema grafico GGI.

directfb
    Visualizza il video utilizzando la libreria DirectFB. Utilizza il codice della tastiera di DirectFB invece di quello standard di MPlayer. (default: disabilitato) Il doppio ed il triplo buffering danno i migliori risultati se vuoi evitare problemi di tearing. Il triplo buffering e' piu' efficiente del doppio buffering perche' non blocca MPlayer ad aspettare il tracciamento verticale. La bufferizzazione singola dovrebbe essere evitata (default: single) Controlla l' ordine di uscita dei fotogrammi interlacciati (default: disabilitato). Valori validi sono top (prima il field superiore) e bottom (prima il field inferiore). Questa opzione non ha alcune effetto su materiale progressivo, generalmente la maggior parte dei film MPEG. Devi abilitare questa opzioni se hai effetti di tearing oppure movimenti non uniformi guardando materiale interlacciato. Forza l' utilizzo del layerd con id N per la riproduzione (default: -1 - auto).

dfbmga
    Driver di uscita specifico per Matrox G400/G450/G550 che utilizza la liberia DirectFB. Abilita CRTC2 (la seconda uscita, head), visualizzando il video in modo indipendente dalla prima uscita. Abilita l' utilizzo del BES (backend scaler) Matrox. Genera risultati molto buoni per quanto riguarda velocita' e qualita' di uscita visto che l' interpolazione dell' immagine viene fatta dall' hardware. Lavora solo sull' uscita principale. Default: disabilitata. Utilizza il layer Matrox sub picture per visualizzare l' OSD di MPlayer. Default: Abilitato Attiva l' uscita TV sella seconda uscita. La qualita' di uscita e' stupefacente in quanto e' un immagine completamente interlacciata con sincronismo corretto per ogni field pari e dispari. Default: Abilitata Utilizza il codice della tastiera di DirectFB invece di quello standard di MPlayer. (default: disabilitato) Il doppio ed il triplo buffering danno i migliori risultati se vuoi evitare problemi di tearing. Il triplo buffering e' piu' efficiente del doppio buffering perche' non blocca MPlayer ad aspettare il tracciamento verticale. La bufferizzazione singola dovrebbe essere evitata (default: triple) Controlla l' ordine di uscita dei fotogrammi interlacciati (default: disabilitato). Valori validi sono top (prima il field superiore) e bottom (prima il field inferiore). Questa opzione non ha alcune effetto su materiale progressivo, generalmente la maggior parte dei film MPEG. Devi abilitare questa opzioni se hai effetti di tearing oppure movimenti non uniformi guardando materiale interlacciato. Setta la norma TV della scheda Matrox senza bisogno di modificare /etc/directfbrc (default: disabilitato). Le norme valide sono pal (PAL) e ntsc (NTSC). Se si utilizza auto verra' abilitata automaticamente la giusta norma basandosi sulla velocita' (frame rate) del film.

mga (solo Linux)
    Driver di uscita specifico Matrox che utilizza il back end scaler hardware delle schede Gxxx attraverso un modulo del kernel. Se hai una scheda Matrox questa e' l' opzione piu' veloce.

xmga (Linux, solo X11)
    Driver di uscita mga che gira in una finestra X11.

syncfb
    Driver video di uscita per il modulo del kernel SyncFB, il quale fornisce speciali caratteristiche delle schede Matrox Gxxx come deinterlacciamento, scalatura e sincronizzazione dell' uscita video con il rinfresco verticale del tuo monitor.

3dfx (solo Linux)
    Questo driver utilizza il driver del framebuffer tdfx per riprodurre filmati con accelerazione YUV. tdfx_vid (solo Linux) Driver specifico di uscita 3Dfx. Funziona insieme ad un modulo del kernel.

dxr2
    Driver di uscita specifico per Creative DXR2. Vedi anche l' opzione -dxr2. Abilita l' overlay. Abilita l' overlay.

dxr3
    Driver di uscita specifico del chip di decodifica MPEG Sigma Designs em8300 (Creative DXR3, Sigma Designs Hollywood Plus). Vedi anche il filtro video lavc. Attiva l' overlay invece che l' uscita TV. Attiva il prebuffering. Abilita il nuovo motore di sincronismo. Specifica la norma TV. 0: Non cambia la norma corrente (default).
    1: Auto selezione usando PAL/NTSC.
    2: Auto selezione usando PAL/PAL-60.
    3: PAL
    4: PAL-60
    5: NTSC Specifica il numero di dispositivo se hai piu' di una scheda em8300. +.RE

mpegpes
    Driver di uscita specifico per DVB.

zr  Driver di uscita per un certo numero di schede di cattura e riproduzione MJPEG. Vedi anche le opzioni -zr* e -zrhelp.

zr2 Driver di uscita per un certo numero di schede di cattura e riprouzione MJPEG, seconda generazione. Vedia anche il filtro video zrmjpeg.

md5 Scrive il valore del controllo md5 (md5sums) per ogni fotogramma in un file di nome 'md5' nella directory corrente. Utile per il debug.

yuv4mpeg
    Trasforma il flusso video in una sequenza di immagini non compresse in formato YUV 4:2:0 e le memorizza in un file chiamato 'stream.yuv' nella directory corrente. Utile se vuoi processare il video con la selezione di programmi mjpegtools.

gif89a
    Scrive ogni fotogramma in un file GIF nella directory corrente. Il nome del file viene creato dal numero del fotogramma riempito con zeri iniziali.

jpeg
    Scrive ogni fotogramma in un file JPEG nella directory corrente. Il nome del file viene creato dal numero del fotogramma riempito con zeri iniziali.

pgm Scrive ogni fotogramma in un file PGM nella directory corrente. Il nome del file viene creato dal numero del fotogramma riempito con zeri iniziali.

png Scrive ogni fotogramma in un file PNG nella directory corrente. Il nome del file viene creato dal numero del fotogramma riempito con zeri iniziali.

tga Scrive ogni fotogramma in un file Targa (TGA) nella directory corrente. Il nome del file viene creato dal numero del fotogramma riempito con zeri iniziali.

OPZIONI GENERALI DI CODIFICA (SOLO MENCODER)

-audio-delay <0.0-...>
    Scrive il valore del ritardo audio nell' intestazione. Il default e' 0.0, valori negativi non funzionano. Questo non ritarda l' audio durante la codifica ma il riproduttore vedra' il valore del ritardo e ti evitera' l' utilizzo dell' opzione -delay.

-audio-density <1-50>
    Numero di blocchi audio per secondo (default e' 2, cioe' blocchi audio di 0.5 secondi).
    NOTA: Valido solo in modalita' CBR (Constant Bit Rate, Bit Rate Costante), in modalita' VBR (Variable Bit Rate, Bit Rate Variabile) viene ignorato in quanto ogni pacchetto viene scritto in un nuovo blocco.

-audio-preload <0.0-2.0>
    Setta l' intervallo di buffering audio (default: 0.5 sec).

-endpos <[[hh:]mm:]ss[.ms]|size[b|kb|mb]> (vedi anche le opzioni -ss e -sb)
    Ferma la codifica al tempo oppure alla posizione in byte specificata. Puo' essere espressa in vari modi.
    NOTA: La posizione in byte non sara' precisa in quanto ci si puo' fermare solo sulla fine di un fotogramma. ESEMPIO: codifica solo 56 secondi Codifica solo 1 ora e 10 minuti Codifica solo 100 MBytes

-ffourcc <fourcc>
    Puo' essere usare per sovrascrivere il valore del fourcc del file di uscita. ESEMPIO: Avremo il file di uscita che conterra' 'div3' come fourcc del video.

-force-avi-aspect <0.2-3.0>
    Sovrascrive il valore del rapporto di aspetto memorizzato nei file AVI nell' intestazione vprp OpenDML. Puo' essere usato per cambiare il rapporto di aspetto con -ovc copy.

-info <option1:option2:...> (AVI only)
    Specifica le informazioni nell' intestazione del file AVI generato.
    Le opzioni disponibili sono: visualizza questa descrizione titolo del soggetto del filmato artista od autore del soggetto originale del filmato categoria originale del lavoro. soggetto (contenuto) del file informazioni sul copyright del filmato formato originale del materiale che e' stato digitalizzato commento generale sul filmato o sul soggetto del file.

-noautoexpand
    Non inserisce automaticamente il filtro expand nella catena dei filtri di MEncoder. Utile per controllare in quale punto della catena dei filtri vengono generati i sottotitoli quando vengono piazzati brutalmente nel filmato.

-noskip
    Non saltare dei fotogrammi.

-o <nomefile>
    Scrive sul file specificato, invece che il default 'test.avi'.

-oac <codec name>
    Codifica con il codec audio specificato. Utilizza -oac help per avere una lista dei codec disponibili. (nessun valore di default) ESEMPIO: niente codifica, solo copia del flusso byte per byte codifica in formato PCM non compresso codifica in MP3 (usando Lame) codifica con un codec di libavcodec

-of <format> (CODICE BETA!)
    Codifica nel formato specificato. Usa -of help per avere una lista dei codec disponibili. ESEMPIO: codifica in formato AVI (default) codifica in formato mpeg flusso grezzo video (nessun multiplex - solo video, un solo flusso)

-ofps <fps>
    Il file di uscita avra' un valore di velocita' (fotogrammi/sec) diverso dall' origine. DEVI settare il valore per formati con fps variabile (asf, qualche mov) e per filmati MPEG progressivi in formato 29.97 fps con telecine.

-ovc <codec name>
    Codifica con il codec video specificato. Utilizza -ovc help per avere una lista dei codec disponibili (nessun valore di default) ESEMPIO: niente codific, solo copia del flusso codifica in formato Divx4/Divx5 codifica su un formato grezzo non compresso arbitrario (usa -fv format per selezionare come). codifica con un codec di libavcodec

-passlogfile <nomefile>
    Nella codifica in 2 passi, MEncoder scrive le informazioni del primo passo nel file specificato invece che nel file di default divx2pass.log.

-skiplimit <valore>
    Numero massimo di fotogrammi che si possono saltare dopo uno che non e' stato saltato (-noskiplimit indica senza limiti).

-vobsubout <basename>
    Specifica il nome di base del file di uscita .idx e .sub. Questo disattiva il rendering dei sottotitoli nel file codificato e lo sposta verso i vari file dei sottotitoli.

-vobsuboutid <langid>
    Specifica il codice a due lettere del linguaggio dei sottotitoli. Questo sovrascrive quanto viene letto dal DVD o dai file .ifo .

-vobsuboutindex <index>
    Specifica l' indice dei sottotitoli nel file di uscita. (default: 0)

OPZIONI SPECIFICHE DI CODIFICA (SOLO MENCODER)
Puoi specificare opzione specifiche dei codec di codifica usando la sintassi seguente:

-<codec>opts <opzione1[=valore,opzione2,...>

dove <codec> puo' essere: lavc, xvidenc, divx4, lame

  divx4 (-divx4opts)
DivX4 e' obsoleto ed e' supportato per completezza. Per dettagli riguardanti le opzioni DivX4 dai un' occhiata ai sorgenti, molte opzioni non sono descritte qua.

help
    ottieni l' aiuto

br=<valore>
    specifica il bitrate, la quantita' di spazio che occupera' il filmato (in kbit) (in bit)

key=<valore>
    valore massimo dell' intervallo tra due fotogrammi chiave (in fotogrammi)

deinterlace
    abilita il deinterlacciamento (evitalo, DivX4 non lo gestisce in modo corretto)

q=<1-5>
    qualita' (1-piu' veloce, 5-migliore)

min_quant=<1-31>
    valore minimo di quantizzazione

max_quant=<1-31>
    valore massimo di quantizzazione

rc_period=<valore>
    periodo per il controllo del bitrate

rc_reaction_period=<valore>
    periodo di reazione per il controllo del bitrate

rc_reaction_ratio=<valore>
    rapporto di reazione per il controllo del bitrate

crispness=<0-100>
    specifica ?dettagli?/appiattimento ?crispness/smoothness?

pass=<1-2>
    Con questa opzione puoi codificare file Divx4 con due passi. Prima codifica con pass=1 poi, con gli stessi parametri, codifica con pass=2.

vbrpass=<0-2>
    Sovrascrive l' argomento pass e utilizza la libreria VBR (Variable Bit Rate, bitrate variabile) di XviD invece di quella di DivX4. Le opzioni disponibili sono: codifica a singolo passo (uguale a non mettere pass=x sulla linea di comando) Primo passo (analisi) della codifica a due passi. Il file AVI ottenuto puo' essere mandato a /dev/null. Secondo passo (finale) della codifica a due passi.

  lame (-lameopts)

help
    ottieni l' aiuto.

vbr=<0-4>
    metodo a bitrate variabile cbr mt rh (default) abr mtrh

abr media (average) bitrate

cbr bitrate costante.
    Forza anche la modalita' di codifica CBR (Costant BitRate, bitrate costante) nei modi ABR (Average BitRate, bitrate media) predefiniti successivi.

br=<0-1024>
    specifica il bitrate in kBit (solo CBR e ABR)

q=<0-9>
    qualita' (0-migliore, 9-peggiore) (solo per VBR, Variable BitRate, bitrate variabile)

aq=<0-9>
    qualita' dell' algoritmo (0-migliore/piu' lento, 9-peggiore/piu' veloce)

ratio=<1-100>
    rapporto di compressione

vol=<0-10>
    regola il guadagno dell' ingresso audio

mode=<0-3>
    (default: auto) stereo joint-stereo, stereo unito dualchannel, doppio canale mono

padding=<0-2>
    no tutto adattivo

fast
    attiva una codifica veloce sulle modalita' VBR predefinite successive, fondamentalmente minor qualita' e bitrate maggiori

highpassfreq=<freq>
    Attiva un filtro passa alto alla frequenza specificata (Hz). Le frequenze sotto a quella specificata verranno eliminate. Il valore -1 disabilita il filtro, il valore 0 lascia che sia lame a scegliere il valore automaticamente.

lowpassfreq=<freq>
    Attiva un filtro passa basso alla frequenza specificata (Hz). Le frequenze sopra a quella specificata verranno eliminate. Il valore -1 disabilita il filtro, il valore 0 lascia che sia lame a scegliere il valore automaticamente.

preset=<valore>
    valore dei settaggi predefiniti codifica VBR, buona qualita', bitrate compreso tra 150-180 kbps. codifica VBR, alta qualita', bitrate compreso tra 170-210 kbps. codifica VBR, qualita' molto alta, bitrate compreso tra 200-240 kbps. codifica CBR, il settaggio di miglior qualita', bitrate di 320 kbps. codifica ABR al bitrate medio specificato.
    ESEMPIO:
per molte persone, con la maggior parte della musica e comunque gia' una qualita' abbastanza alta. codifica in ABR con un bitrate costante e forzato di 192 kbps codifica in ABR ad un bitrate medio di 172 kbps. per persone con orecchie estremamente buone e apparecchi similari. stampa le opzioni aggiuntive ed informazioni sui settaggi predefiniti.

  lavc (-lavcopts)
Molte opzioni di lavc (libavcodec) sono molto specialistiche e documentate in modo molto rapido. Leggi i sorgenti per avere i dettagli completi.

ESEMPIO:

acodec=<valore>
    Codec audio (default: mp2): MPEG Layer 2 MPEG Layer 3 AC3 IMA Adaptive PCM (4bits per campione, compressione 4:1)

abitrate=<valore>
    Bitrate audio in kBit (default 224).

atag=<valore>
    Uso il formato audio di Windows specificato (e.g. atag=0x55).

bit_exact
    Usa solo algoritmi esatti bit a bit (eccetto per (i)dct). Inoltre bit_exact disabilita molte ottimizzazioni e dovrebbe essere usato solo per test di regressione che hanno bisogno di file identici anche se cambia la versione del programma di codifica. Inoltre viene eliminato l' intestazione user_data nei flussi MPEG-4. Non usare questa opzione se non sai esattamente quello che stai facendo.

vcodec=<valore>
    usa il codec (video) specificato (default: mpeg4): Motion JPEG (JPEG per i filmati) Lossless JPEG (JPEG senza perdita) H263 H263 Plus DivX 4/5 DivX 3 MS MPEG4v2 Windows Media Video, versione 1 (aka WMV7) Windows Media Video, versione 2 (aka WMV8) un vecchio codec RealVideo MPEG1 video MPEG2 video HuffYUV ASUS Video v1 ASUS Video v2 codec video senza perdita di FFmpeg

vqmin=<1-31>
    valore minimo di quantizzazione (passo 1/2) Non raccomandato (file molto grandi, una piccola differenza di qualita' e alcuni strani effetti collaterali: msmpeg4, h263 avranno una bassissima qualita', il controllo della dimensione del file viene confuso e si ottiene una qualita' minore e qualche programma non sara' capace di decodificare il file). Raccomandato per la codifica normale dei filmati mpeg3/mpeg1video (default). Raccomandato per h263(p)/msmpeg4. La ragione per preferire 3 invece che 2 e' che l' utilizzo di 2 puo' portare a overflow (questo verra' sistemato per h263(p) cambiano il valore di quantizzazione per MB, macroblock, in futuro, il formato msmpeg4 non puo' essere sistemato in quanto non supporta questa funzione).

lmin=<0.01-255.0>
    Valore minimo del moltiplicatore di lagrange per il controllo della dimensione del file, probabilmente lo vuoi uguale o maggiore di vqmin (default: 2.0)

lmax=<0.01-255.0>
    Valore massimo del moltiplicatore di lagrange. (default: 31.0)

vqscale=<1-31>
    Quantizzazione costante / codifica a qualita' costante (seleziona una modalita' di quantizzazione fissa). Valori minori indicano migliore qualita' ma file di dimensioni maggiori (default: 0 (disabilitato)). 1 non e' raccomandato (controlla -vqmin per i dettagli)

vqmax=<1-31>
    valore massimo di quantizzazione (passo 1/2) 10-31 dovrebbe essere un buon valore (default: 31)

mbqmin=<1-31>
    valore minimo di quantizzazione del macroblock (passo 1/2) (default: 2)

mbqmax=<1-31>
    valore massimo di quantizzazione del macroblock (passo 1/2) (default: 31)

vqdiff=<1-31>
    valore massimo di differenza di quantizzazione tra fotogrammi I o P (passo 1/2) (default: 3) (??? differenza con cosa ???)

vmax_b_frames=<0-4>
    numero massimo di fotogrammi B tra fotogrammi non B: niente fotogrammi B (default) buon valore per MPEG4

vme=<0-5>
    metodo di stima del movimento (motion estimation). NOTA: attualmente 0-3 ignorano la quantita' di Bits usati, percio' la qualita' puo' essere bassa. I metodi disponibili sono: nessuno (qualita' molto bassa) completo (lento) log (qualita' bassa) phods (qualita' bassa) EPZS (default) X1 (sperimentale)

me_range=<0-9999>
    raggio di ricerca per la stima del movimento, 0 (default) significa illimitato.

mbd=<0-2>
    Algoritmo di decisione dei macroblock (modalita' ad alta qualita'), codifica ogni blocco in tutte le modalita' e seleziona la migliore. Questo opzione rallenta la codifica ma si ottengono qualita' migliore e minori dimensioni del file finale. utilizza mbcmp (default) seleziona il modo MB che necessita' della minor quantita' di bit (=vhq) seleziona il modo MB che ha la minor distorsione.

vhq Uguale a mbd=1, mantenuto per ragioni di compatibilita'.

v4mv
    Permette 4 vettori di movimento per ogni macroblock (qualita' leggermente migliore). (default: disabilitato)

obmc
    overlapped block motion compensation (H263+), compensazione del movimento del blocco sovrapposta ???

loop
    filtro ad anello (H263+) nota, non funziona

inter_threshold <-1000-1000>
    Non fa assolutamente nulla, al momento.

keyint=<0-300>
    intervallo massimo fra fotogrammi chiave in fotogrammi. I keyframe sono necessari per il posizionamento perche' il posizionamento e' possibile solo su un keyframe. Lo svantaggio e' che i keyframe hanno bisogno di piu' spazio rispetto agli altri tipi di fotogrammi percio' un numero alto comporta file di dimensione leggermente minore ma un posizionamento meno preciso. 0 significa nessun keyframe. ??? Valori maggiori di 300 non sono raccomandati perche' la qualita' puo' essere non buona e dipende dal programma di codifica, dal programma di decodifica e dalla fortuna (o sfortuna) Per avere un formato MPEG1/2/4 conforme deve essere <= 132. (default: 250 cioe' un keyframe ogni dieci secondi in un filmato a 25 fps)

sc_threshold=<-1000000-1000000>
    Soglia per la gestione del cambio della scena. Libavcodec inserisce un keyframe quando trova un cambio di scena. Puoi inserire la sensibilita' dell' attivazione del cambio scena con questa opzione. -1000000 indica che viene attivato un cambio scena ad ogni fotogramma, 1000000 indica invece che non viene trovato ed attivato nessun cambio scena (default 0).

vb_strategy=<0-1>
    strategia per la scelta tra fotogrammi I/P/B (passo 2): usa sempre il numero massimo di fotogrammi di tipo B (default) evita fotogrammi B in scene ad alto movimento (causera' un errata predizione del bitrate)

vpass=<1-2>
    Attiva la modalita' interna a due passi, specificalo solo se vuoi codificare utilizzando i due passaggi (default: disabilitato). primo passo secondo passo
    huffyuv:
salva le statistiche saves statistics codifica con una tabella Huffman ottimale basata sulle statistiche del primo passo.

aspect=<x/y>
    Memorizza l' aspetto del film internamente al file, proprio come nei file MPEG. Soluzione migliore della riscalatura perche' la qualita' non viene ridotta. Solo MPlayer e pochi altri programmi potranno visualizzare questi file in modo corretto, gli altri programmi visualizzeranno il filmato con l' aspetto sbagliato. Il parametro puo' essere dato come un rapporto oppure un numero floating point.
    ESEMPIO:

autoaspect
    Uguale all' opzione aspect, ma automaticamente calcola l' aspetto, tenendo in considerazione tutte le varie operazioni (taglia, espandi, riscala, etc) fatte nella catena dei filtri.

vbitrate=<valore>
    specifica il bitrate (passo 1/2). Attenzione: 1kBit = 1000 Bit. (in kbit) (in bit) default

vratetol=<valore>
    tolleranza approssimata nella dimensione del file in kBit. 1000-100000 e' una gamma accettabile. (attenzione: 1kBit = 1000 Bit) (default: 8000)

vrc_maxrate=<valore>
    valore massimo del bitrate in kbit/sec (passo 1/2)

vrc_minrate=<valore>
    valore minimo del bitrate in kbit/sec (passo 1/2)

vrc_buf_size=<valore>
    dimensione del buffer in kbit (passo 1/2). Per MPEG1/2 questo regola anche la dimensione del vbv (video buffer verifier), utilizza 327 per i VCD, 917 per i SVCD e 1835 per i DVD. NOTA: vratetol non dovrebbe essere troppo grande durante il secondo passo o potrebbero esserci problemi se si utilizza vrc_(min|max)rate.

vrc_buf_aggressivity
    attualmente inutile

vrc_strategy
    Dummy, riservato per utilizzi futuri.

vb_qfactor=<-31.0-31.0>
    fattore di quantizzazione tra fotogrammi B e fotogrammi non B (passo 1/2) (default: 1.25)

vi_qfactor=<-31.0-31.0>
    (pass 1/2) (default: 0.8)

vb_qoffset=<-31.0-31.0>
    scostamento di quantizzazione tra fotogrammi B e fotogrammi non B (passo 1/2) (default: 1.25)

vi_qoffset=<-31.0-31.0>
    (passo 1/2) (default: 0.0)
    if v{b|i}_qfactor > 0
    I/B-Frame quantizer = P-Frame quantizer * v{b|i}_qfactor + v{b|i}_qoffset
    else
    esegui il normale controllo della dimensione (non bloccarti sulla quantizzazione del fotogramma P successivo) e rendi q= -q * v{b|i}_qfactor + v{b|i}_qoffset

    Consiglio: Per avere una codifica a quantizzazione costante con valori diversi per i fotogrammi I/P e B puoi usare: lmin= <ip_quant>:lmax= <ip_quant>:vb_qfactor= <b_quant/ip_quant>

vqblur=<0.0-1.0> (passo 1)
    Sfocatura di quantizzazione, valori piu' grandi medieranno la quantizzazione maggiormente nel tempo (cambiamenti piu' lenti). sfocatura q disabilitata (default) media la quantizzazione su tutti i fotogrammi precedenti

vqblur=<0.0-99.0> (pass 2)
    Sfocatura gaussiana di quantizzazione, valori piu' grandi medieranno la quantizzazione maggiormente nel tempo (cambiamenti piu' lenti) (default: 0.5).

vqcomp=<valore>
    compressione della quantizzazione, dipende da vrc_eq (passo 1/2) (default: 0.5)

vrc_eq=<equation>
    equazione principale per il controllo della dimensione del file (ratecontrol) (passo 1/2):
bitrate costante qualita' costante approssima l' equazione del vecchio controllo di dimensione con qcomp a 0.5 o qualcosa del genere (default)

    operatori: +,-,*,/,^

    variabili:
complessita' della texture complessita' della texture intra e non intra complessita' media della texture complessita' media della texture intra nei fotogrammi I complessita' media della texture intra nei fotogrammi P complessita' media della texture non intra nei fotogrammi P complessita' media della texture non intra nei fotogrammi B Bit usati per i vettori di movimento lunghezza massima dei vettori di movimento in scala log2 numero di intra macroblock / numero di macroblock complessita' spaziale complessita' temporale qcomp dalla linea di comando e' 1 se il tipo di immagine e' I/P/B altrimenti 0 controlla il tuo libro preferito di matematica

    funzioni:
massimo / minimo e' 1 se a>b, 0 in caso contrario e' 1 se a<b, 0 in caso contrario e' 1 se a==b, 0 in caso contrario

vrc_override=<options>
    Utilizza la qualita' specificata per alcuni pezzi particolari finale, riconoscimenti, ...) (passo 1/2). Le opzioni sono <fotogramma iniziale>, <fotogramma finale>, <qualita'> [/<fotogramma iniziale>, <fotogramma finale>, <qualita'>[/...]]: quantizzatore correzione della qualita' in %

vrc_init_cplx=<0-1000>
    complessita' iniziale (passo 1)

vqsquish=<0,1>
    specifica come mantenere la quantizzazione tra qmin e qmax (passo 1/2): utilizza il clipping utilizza una bella funzione differenziale (default)

vlelim=<-1000-1000>
    soglia di eliminazione del coefficiente singolo per la luminanza Valori negativi considereranno anche il coefficiente dc (deve essere almeno -4 o meno per codifiche con quantizzazione=1) disabilitato (default) (raccomandazione della JVT)

vcelim=<-1000-1000>
    soglia di eliminazione del coefficiente singolo per la crominanza Valori negativi considereranno anche il coefficiente dc (deve essere almeno -4 o meno per codifiche con quantizzazione=1) disabilitato (default) (raccomandazione della JVT)
vstrict=<-1,0,1>
    conformita' esatta allo standard disabilitata (default) raccomandato solo se vuoi fornire il file di uscita nel decodificatore di riferimento mpeg4 permette codifica huffyuv YV12 non standard (file 20% piu' piccoli, ma non possono venir visualizzati dai codec huffyuv ufficiali)

vdpart
    partizionamento dei dati. Aggiunge 2 byte per ogni pacchetto video, migliorando la tolleranza agli errori quando si trasferiscono dati su canali non affidabili (eg. streaming attraverso internet) Ogni pacchetto video verra' codificato in 3 partizioni separate: (movimenti) (immagini a bassa risoluzione) (dettagli)

n maniera
    MV & DC sono i piu' importanti, perderli comporta un' immagine peggiore rispetto alla perdita di AC e della partizione 1. & 2.(MV&DC) sono molto piu' piccoli della partizione 3. (AC) e questo significa che gli errori colpiscono la partizione AC molto piu' spesso che le partizioni MV&DC. Percio' l' immagine apparira' migliore con il partizionamento che senza, perche' senza partizionamento un errore rovinera' AC/DC/MV egualmente.

vpsize=<0-10000>
    dimensione del pacchetto video, migliora la resistenza agli errori (vedi anche l' opzione -vdpart): disabilitato (default) buona scelta

ss  modalita' 'slice structured' per H263+

gray
    codifica solo a toni di grigio (piu' veloce) (default: disabilitata)

vfdct=<0-10>
    algoritmo dct: ne seleziona automaticamente uno buono (default) interi veloce interi accurato mmx mlib altivec floating point AAN

idct=<0-99>
    algoritmo idct. NOTA: Per quello che ne sappiamo tutti questi IDCT passano i test IEEE1180. ne seleziona automaticamente uno buono (default) intero di riferimento jpeg semplice simplemmx (semplice mmx) libmpeg2mmx (inaccurato, NON USARLO per codifiche con keyint >100) ps2 mlib arm altivec sh4

lumi_mask=<0.0-1.0>
    maschera di luminosita'. Avvertimento: Attento, valori troppo grandi posso causare disastri. Avvertimento 2: Valori grandi possono apparire buoni su certi monitor ma orribili su altri. disabilitato (default) buon valore

dark_mask=<0.0-1.0>
    maschera di oscurita' Avvertimento: Attento, valori troppo grandi posso causare disastri. Avvertimento 2: Valori grandi possono apparire buoni su certi monitor ma orribili su altri. disabilitato (default) buon valore

tcplx_mask=<0.0-1.0>
    maschera di complessita' temporale (default: 0.0 (disabilitata))

scplx_mask=<0.0-1.0>
    maschera di complessita' spaziale. Valori grandi aiutano per la 'blocchizzazione', se non viene usato nessun filtro di 'deblocchizzazione' nella decodifica. Consiglio: Elimina completamente qualsiasi bordo nero in quanto riducono la qualita' dei macroblock (fallo anche se non utilizza scplx_mask). disabilitato (default) buon valore

p_mask=<0.0-1.0>
    maschera inter MB (default: 0.0 (disabilitata))

naq Quantizzazione adattiva normalizzata (sperimentale). Quando si usa una quantizzazione adattiva (*_mask), la media della quantizzazione per-MB puo' non corrispondere alla quantizzazione del fotogramma. Naq prova a regolare il quantizzatore per-MB per mantenere la media corretta.

ildct
    utilizza la dct interlacciata.

ilme
    utilizza la stima del movimento interlacciata.

alt utilizza una scantable alternativa

top=<-1-1>
    automatica prima il field inferiore prima il field superiore

format=<valore>
    default per ffv1 per huffyuv, jpeg senza perdita e ffv1 per jpeg senza perdita e ffv1 per jpeg senza perdita e ffv1

pred
    (per huffyuv) predizione 'left' predizione 'plane/gradient' predizione 'median'

pred
    (per jpeg senza perdita) predizione 'left' predizione 'top' predizione 'topleft' predizione 'plane/gradient' predizione 'mean'

coder
    (per ffv1) codifica vlc (golomb rice) codifica aritmetica (cabac)

context
    (for ffv1) modello con contesto piccolo modello con contesto grande

qpel
    utilizza la compensazione del movimento con quarti di pel (picture element, elemento dell' immagine) Cosiglio: Sembra utile solo per codifiche ad alto bitrate.

ildctcmp=<0-2000>
    funzione di comparazione per la decisione del dct interlacciato

precmp=<0-2000>
    funzione di comparazione per il passo preliminare per la stima del movimento

cmp=<0-2000>
    funzione di comparazione per la stima del movimento con pel completo

subcmp=<0-2000>
    funzione di comparazione per la stima del movimento inferiore al pel completo

mbcmp=<0-2000>
    funzione di comparazione per la decisione del macroblok, utilizzato solo se mbd=0 somma delle differenze assolute, veloce (default) somma degli errori al quadrato somma della differenza assoluta della trasformata di hadamard somma della differenza assoluta della trasformata dct somma degli errori di quantizzazione al quadrato (non usare, bassa qualita') numero di bit necessari per il blocco rapporto di distorsione ottimale, lento 0 somma delle differenze verticali assolute somma del quadrato delle differenze verticali assolute utilizza anche il chroma, attualmente non funziona (correttamente) con i fotogrammi B.

predia=<-99-6>
    Tipo e dimensione del diamante per il passo preliminare di stima del movimento

dia=<-99-6>
    Tipo e dimensione del diamante per la stima del movimento NOTA: La dimensione del diamante normale e quella della forma adattiva non hanno lo stesso significato diamante di dimensione 3 con forma adattiva (veloce) diamante di dimensione 2 con forma adattiva (veloce) sperimentale diamante normale con dimensione=1 (default) =diamante di tipo EPZS
          0
         000
          0
    diamante normale con dimensione=2
          0
         000
        00000
         000
          0

trell
    Quantizzazione con ricerca trellis Questo cerchera' la codifica ottimale per ogni blocco da 8x8. La ricerca della quantizzazione trellis e' semplicemente una quantizzazione ottimale nel senso del PSNR (Peak Signal Noise Ratio, rapporto segnale / rumore) rispetto al bitrate (supponendo che non ci siano errori di approssimazione introdotti dalla IDCT, che non e' ovviamente vero) e cerca semplicemente un blocco con il minimo di errore e lambda*bits. costante che dipende da qp numero di bit necessari per codificare il blocco somma del quadrato degli errori di quantizzazione

cbp Pattern dei blocchi codificati con rapporto di distorsione ottimale. Verra' selezionato il pattern del blocco codificato che minimizza la distorsione + lambda*rate Puo' essere usato solo insieme alla quantizzazione trellis

mv0 cerca di codificare ogni MB con MV=<0,0> e seleziona il migliore. non ha effetto se mbd=0

qprd
    rapporto di distorsione QP ottimale per il dato lambda per ogni macroblock

last_pred=<0-99>
    Quantita' di predittori del movimento dal fotogramma precedente (default) usera' 2a+1 x 2a+1 quadrati di predittori del movimento dei macroblock dal fotogramma precedente.

preme=<0-2>
    passo preliminare di stima del movimento disabilitato solo dopo i fotogrammi I (default) sempre

subq=<1-8>
    rifinitura della qualita' del subpel (per qpel) (default: 8). NOTA: Questo ha un significato effetto sulla velocita'

psnr
    stampa il psnr (peak signal to noise ratio, picco del rapporto segnale / rumore) per il video completo alla fine della codifica e memorizza il psnr di ogni fotogramma in un file con il nome simile a 'psnr_hhmmss.log'. I valori tornati sono in dB (decibel), piu' alto e' migliore.

mpeg_quant
    utilizza il quantizzatore MPEG invece di quello H.263 (default: disabilitato) (i.e. usa il quantizzatore H.263)

aic predittore ac (=predittore intra avanzato per H.263+) NOTA: vqmin deve essere 8 o piu' per AIC H263+.

aiv inter vlc alternativo per H.263+

umv MV illimitati (solo H.263+) Permette la codifica di MV (Motion Vector, vettori di movimento) arbitrariamente lunghi.

ibias=<-256-256>
    bias del quantizzatore intra (256 == 1.0)
    default quantizzatore mpeg: 96
    default quantizzatore h263: 0
    NOTA: Il quantizzatore MMX h263 non gestisce bias positivi (attiva vfdct=1or2), Il quantizzatore MMX mpeg non gestisce bias negativi (attiva vfdct=1or2).

pbias=<-256-256>
    bias del quantizzatore inter (256 == 1.0)
    default quantizzatore mpeg: 0
    default quantizzatore h263: -64
    NOTA: Il quantizzatore MMX h263 non gestisce bias positivi (attiva vfdct=1or2), Il quantizzatore MMX mpeg non gestisce bias negativi (attiva vfdct=1or2).
    Consiglio: un bias piu' positivo (-32 - -16 invece di -64) sembra migliorare il PSNR

nr=<0-100000>
    riduzione rumore, 0 disabilitato

qns=<0-3>
    Regolazione del rumore di quantizzazione, reduce gli artefatti circolari (ringing), valori piu' grandi sono lenti ma potrebbero non risultare in qualita' migliore. Puo' e dovrebbe essere usato insieme alla quantizzazione trellis, nel qual caso la quantizzazione trellis (ottimale per peso costante ?) sara' usato come punto iniziale per la ricerca iterativa. disabilitato (default) abbassa solo il valore assoluto dei coefficienti. cambia solo i coefficienti prima dell' ultimo coefficiente non zero + 1 prova tutto

inter_matrix=<comma separated matrix>
    Usa una matrice inter custom. Necessita di una stringa di 64 interi separati da virgola.

intra_matrix=<comma separated matrix>
    Usa una matrice intra custom. Necessita di una stringa di 64 interi separati da virgola.

vqmod_amp
    Modulazione del quantizzatore sperimentale.

vqmod_freq
    Modulazione del quantizzatore sperimentale.

  nuv (-nuvopts)
Nuppel video e' basato su rtjpeg e lzo. Per defaqult i fotogrammi sono prima codificati con rtjpeg e poi compressi con lzo. Ma entrambi i passi possono essere abilitati o meno. Percio' puoi generare flussi grezzi i420, flussi i420 compressi, rtjpeg oppure il default lussi rtjpeg compressi con lzo.
NOTA: La documentazione di nuvrec contiene qualche consiglio ed esempi sulle predisposizioni da usare per la maggior parte delle codifiche dalla TV.

c=<0-20>
    soglia della crominanza

l=<0-20>
    soglia della luminanza

nolzo
    disabilita la compressione lzo.

q=<3-255>
    Regola il livello di qualita'.

raw Disabilita la codifica rtjpeg.

rtjpeg
    Abilita la codifica rtjpeg.

  xvidenc (-xvidencopts)
Ci sono tre modalita' disponibili: bitrate costante (CBR), quantizzatore fisso e 2 passi.

pass=<1|2>
    specifica il passo nel modo a 2 passi.

bitrate=<valore>
    regola il bitrate da usare in kbits/second se <16000 oppure in bits/second se >16000 (CBR o modalita' a 2 passi, default=687 kbits/s)

fixed_quant=<1-31>
    passa alla modalita' a quantizzazione fissa e specifica il fattore di quantizzazione da usare

me_quality=<0-6>
    specifica la qualita' della scoperta del movimento (default=6)

interlacing
    abilita il supporto per la gestione del materiale interlacciato (default=disabilitato)

4mv utilizza 4 vettori di movimento per macroblock, puo' generare compressione migliore al costo di una codifica piu' lenta (default=disabilitato)

rc_reaction_delay_factor=<valore>
    specifica quanto debba essere veloce la reazione del controllo della dimensione del file, valori minori indicano maggior velocita'

rc_averaging_period=<valore>
    periodo per raggiungere la media richiesta

rc_buffer=<valore>
    dimensione del buffer di controllo della dimensione del file

quant_range=<1-31>-<1-31>[/<1-31>-<1-31>]
    quantizzazione minima e massima per tutti i fotogrammi (default=2-31, modalita' CBR)
    quantizzazione minima e massima per i fotogrammi I/P (default=2-31/2-31, modalita' a 2 passi)

min_key_interval=<valore>
    intervallo minimo tra due keyframe (default=0, solo 2 passi)

max_key_interval=<valore>
    intervallo massimo tra due keyframe (default=10*fps)

mpeg_quant
    utilizza la quantizzazione MPEG invece di quella H.263 (default=disabilitata)

mod_quant
    decide se usare la quantizzazione MPEG o H.263 per ogni fotogramma (default=disabilitata, solo modalita' 2 passi)

greyscale
    codifica in bianco e nero (default=disabilitata)

debug
    Salva una serie di statistiche per ogni fotogramma in xvid.dbg (default=disabilitato). Questo NON e' il file di controllo della modalita' a 2 passi.

keyframe_boost=<0-1000>
    (default=0, solo modalita' a 2 passi)

kfthreshold=<valore>
    (default=10, solo modalita' a 2 passi)

kfreduction=<0-100>
    (default=30, solo modalita' a 2 passi)

Le opzioni seguenti sono disponibili solo con l' ultima versione stabile XviD 0.9.2 (api3) e sono indicate come sperimentali e instabili. La nuova versione di sviluppo XviD 1.0 (api4) le supportera' completamente.

packed
    crea un flusso di bit che puo' essere decodificato delay-free (default=disabilitato)
    ATTENZIONE: Verra' generato un flusso illegale, e NON SARA' decodificabile dai decodificatori IS-MPEG4 eccetto DivX/libavcodec/XviD
    ATTENZIONE: Viene anche memorizzata una falsa versione DivX nel file e di conseguenza l' attivazione automatica dell' eliminazione dei bug di alcuni decodificatori puo' venir confusa

divx5bvop
    genera dei fotogrammi B compatibili con DivX5 (default=attivo)

qpel
    abilita la stima del movimento con quarter-pixel (default=disabilitato)

gmc abilita la compensazione del moto globale, puo' fare risparmiare bit nelle scene con il panning (default=disabilitato)

chroma_me
    utilizza le informazioni di chroma per la stima del movimento (default=disabilitato)

chroma_opt
    abilita un pre-filtro di ottimizzazione del chroma (default=disabilitato)

reduced
    abilita la codifica di fotogrammi a risoluzione ridotta (default=disabilitato)

max_bframes=<0-4>
    numero massimo di fotogrammi di tipo B da mettere tra i fotogrammi I/P (default=0)

bquant_ratio=<0-1000>
    rapporto di quantizzazione tra fotogrammi di tipo B e fotogrammi non di tipo B, 150=1.50 (default=150)

bquant_offset=<-1000-1000>
    scostamento di quantizzazione tra fotogrammi di tipo B e fotogrammi non di tipo B, 100=1.00 (default=100)

bf_threshold=<-255-255>
    cambia la probabilita' di un fotogramma di essere un fotogramma B (default=0)

hq_ac
    abilita una miglior previsione dei componenti AC (default=disabilitato)

vhq=<0-4>
    abilita una ricerca ME (stima del movimento) di alta qualita' utilizzando la DCT, dalla piu' rapida alla piu' lenta: disabilitata (default) decisione del modo (inter/intra MB) ricerca limitata ricerca media ricerca ampia

aspect=<x/y | f (valore float)>
    Memorizza l' aspetto del film internamente al file, proprio come nei file MPEG. Soluzione migliore della riscalatura perche' la qualita' non viene ridotta. Solo MPlayer e pochi altri programmi potranno visualizzare questi file in modo corretto, gli altri programmi visualizzeranno il filmato con l' aspetto sbagliato. Il parametro puo' essere dato come un rapporto oppure un numero floating point.

autoaspect
    Uguale all' opzione aspect, ma automaticamente calcola l' aspetto, tenendo in considerazione tutte le varie operazioni (taglia, espandi, riscala, etc) fatte nella catena dei filtri.

psnr
    stampa il psnr (peak signal to noise ratio, picco del rapporto segnale / rumore) per il video completo alla fine della codifica e memorizza il psnr di ogni fotogramma in un file con il nome simile a 'psnr_hhmmss.log'. I valori tornati sono in dB (decibel), piu' alto e' migliore.

FILE

/etc/mplayer/mplayer.conf
    configurazioni di sistema globale

~/.mplayer/config
    configurazioni utente

~/.mplayer/input.conf
    collegamenti di ingresso (vedi '-input keylist' per un elenco completo dei tasti)

~/.mplayer/gui.conf
    file di configurazione della GUI

~/.mplayer/gui.pl
    playlist della GUI

~/.mplayer/font/
    directory dei font (deve esserci un file font.desc e alcuni file con estensione .RAW.)

~/.mplayer/DVDkeys/
    chiavi CSS salvate

I file sub (sottotitoli) sono ricercati in questo ordine (per esempio /mnt/cdrom/movie.avi):
    /mnt/cdrom/movie.sub
    ~/.mplayer/sub/movie.sub
    ~/.mplayer/default.sub

ESEMPI

Riproduzione veloce di DVD
    mplayer dvd://1

Riproduci in giapponese con i sottotitoli in inglese
    mplayer dvd://1 -alang ja -slang en

Riproduci solo i capitoli 5, 6, 7
    mplayer dvd://1 -chapter 5-7

Riproduci un DVD multi angolo
    mplayer dvd://1 -dvdangle 2

Riproduci utilizzando un diverso device del DVD
    mplayer dvd://1 -dvd-device /dev/dvd2

Stream da HTTP
    mplayer http://mplayer.hq/example.avi

Stream utilizzando RTSP
    mplayer rtsp://server.example.com/streamName

Converti i sottotitoli in MPsub (su ./dump.mpsub)
    mplayer dummy.avi -sub source.sub -dumpmpsub

Convert i sottotitoli in MPsub senza guardare il film
    mplayer /dev/zero -rawvideo on:pal:fps=xx -vc null -vo null -noframedrop -benchmark -sub source.sub -dumpmpsub

Ingresso da V4L standard
    mplayer tv:// -tv driver=v4l:width=640:height=480:outfmt=i420 -vc rawi420 -vo xv

Riproduzione su una scheda Zoran (vecchio stile, deprecato)
    mplayer -vo zr -vf scale=352:288 file.avi

Riproduzione su una scheda Zoran (nuovo stile)
    mplayer -vo zr2 -vf scale=352:288,zrmjpeg file.avi

Codifica il titolo DVD #2, solo i capitoli selezionati
    mencoder dvd://2 -chapter 10-15 -o title2.avi -oac copy -ovc divx4

Codifica il titolo DVD #2, riscalando a 640x480
    mencoder dvd://2 -vf scale=640:480 -o title2.avi -oac copy -ovc divx4

Codifica il titolo DVD #2, riscalando a 512xHHH (mantiene il rapporto di aspetto)
    mencoder dvd://2 -vf scale -zoom -xy 512 -o title2.avi -oac copy -ovc divx4

Stessa cosa, con la compressione MPEG4 (Divx5) di libavcodec
    mencoder dvd://2 -o title2.avi -ovc lavc -lavcopts vcodec=mpeg4:vhq:vbitrate=1800 -oac copy

Stessa cosa, con la compressione MJPEG di libavcodec
    mencoder dvd://2 -o titel2.avi -ovc lavc -lavcopts vcodec=mjpeg:vhq:vbitrate=1800 -oac copy

Codifica tutti i file *.jpg nella directory corrente
    mencoder "mf://*.jpg" -mf fps=25 -o output.avi -ovc divx4

Codifica dal sintonizzatore
    mencoder -tv driver=v4l:width=640:height=480 tv:// -o tv.avi -ovc raw

Codifica da una pipe
    rar p test-SVCD.rar | mencoder -ovc divx4 -divx4opts br=800 -ofps 24 -

BUG
Se ne trovi uno, riportacelo, ma devi, per cortesia, essere sicuro di aver prima letto tutta la documentazione. Molti errori sono il risultato di una configurazione errata oppure di parametri sbagliati. La sezione della documentazione riguardante il reporting dei bug (DOCS/HTML/en/bugreports.html) spiega come creare dei 'bug report' utili.

AUTORI
MPlayer e' stato scritto inizialmente da Arpad Gereoffy. Vedi il file AUTHORS per una lista di alcuni dei tanti contributori.

MPlayer e' (C) 2000-2004
    The MPlayer Team

Questa pagina di manuale (versione inglese) e' scritta e mantenuta da
    Gabucino
    Diego Biurrun
    Jonas Jermann

La traduzione in italiano e' mantenuta da Daniele Forghieri

Per favore spedisci qualsiasi messaggio riguardante questa documentazione alla mailing list MPlayer-DOCS.

RINUNCIA STANDARD
Usalo solo a tuo rischio e pericolo! Potrebbero esserci errori ed inaccuratezze che potrebbero danneggiare qualsiasi cosa, dal tuo sistema ai tuoi occhi. Muoviti con cautela, e anche se e' altamente improbabile che succeda qualcosa, gli autori non prenderanno nessuna responsabilita'.